-- Maps specific key combinations to console commands
-- Key combos should be seperated by -'s
-- See keyNames.lua for key names! Key names for modifiers are as follows and must be followed by a dash ('-')
-- Shift = 0x10
-- Ctrl = 0x11
-- Alt = 0x12
defaultKeyMap = {
    ['Esc']            = {action = 'UI_HandleEscape', stringkey = 'escape', category = '<LOC keymap_category_0000>UI', order = 1,},
    ['Ctrl-Alt-F1']    = {action = 'UI_ToggleGamePanels', stringkey = 'ssmode', category = '<LOC keymap_category_0000>UI', order = 2,}, # Temporary assignment, should find a better key
    ['Pause']          = {action = 'UI_Lua import("/lua/modules/ui/game/options.lua").PauseGame()', stringkey = 'pause', category = '<LOC keymap_category_0000>UI', order = 3,},
    ['Ctrl-F']         = {action = 'Dump_Frame', stringkey = 'cap_frame', category = '<LOC keymap_category_0000>UI', order = 4,},
    ['Alt-L']          = {action =  'UI_RenderUnitBars', stringkey = 'toggle_lifebars', category = '<LOC keymap_category_0000>UI', order = 1,},
    ['Ctrl-W']         = {action =  'UI_Lua import("/lua/modules/ui/game/multifunction.lua").ToggleMilitary()', stringkey = 'tog_military', category = '<LOC keymap_category_0000>UI', order = 5,},
    ['Ctrl-E']         = {action =  'UI_Lua import("/lua/modules/ui/game/multifunction.lua").ToggleDefense()', stringkey = 'tog_defense', category = '<LOC keymap_category_0000>UI', order = 6,},
    ['Ctrl-R']         = {action =  'UI_Lua import("/lua/modules/ui/game/multifunction.lua").ToggleEconomy()', stringkey = 'tog_econ', category = '<LOC keymap_category_0000>UI', order = 7,},
    ['Ctrl-T']         = {action =  'UI_Lua import("/lua/modules/ui/game/multifunction.lua").ToggleIntel()', stringkey = 'tog_intel', category = '<LOC keymap_category_0000>UI', order = 8,},
    ['Ctrl-Alt-F']     = {action =  'Dump_Frames', stringkey = 'cap_frames', category = '<LOC keymap_category_0000>UI', order = 9,},
    ['Ctrl-N']         = {action =  'UI_ShowRenameDialog', stringkey = 'rename', category = '<LOC keymap_category_0000>UI', order = 10,},
    ['Num0']           = {action =  'UI_Lua SetFocusHead(0)', stringkey = 'focus_window_primary', category = '<LOC keymap_category_0000>UI', order = 11,},
    ['Num1']           = {action =  'UI_Lua SetFocusHead(1)', stringkey = 'focus_window_secondary', category = '<LOC keymap_category_0000>UI', order = 12,},
    ['Home']           = {action =  'UI_Lua import("/lua/modules/ui/game/borders.lua").SplitMapGroup(true)', stringkey = 'split_screen_enable', category = '<LOC keymap_category_0000>UI', order = 13,},
    ['End']            = {action =  'UI_Lua import("/lua/modules/ui/game/borders.lua").SplitMapGroup(false)', stringkey = 'split_screen_disable', category = '<LOC keymap_category_0000>UI', order = 14,},
    ['Alt-RightArrow'] = {action =  'UI_RotateSkin +', stringkey = 'switch_skin_up', category = '<LOC keymap_category_0000>UI', order = 15,},
    ['Alt-LeftArrow']  = {action =  'UI_RotateSkin -', stringkey = 'switch_skin_down', category = '<LOC keymap_category_0000>UI', order = 16,},
    ['Alt-UpArrow']    = {action =  'UI_RotateLayout +', stringkey = 'switch_layout_up', category = '<LOC keymap_category_0000>UI', order = 17,},
    ['Alt-DownArrow']  = {action =  'UI_RotateLayout -', stringkey = 'switch_layout_down', category = '<LOC keymap_category_0000>UI', order = 18,},

    ['1']              = {action = 'UI_ApplySelectionSet 1', stringkey = 'group1', category = '<LOC keymap_category_0004>Selection', order = 1,},
    ['2']              = {action =  'UI_ApplySelectionSet 2', stringkey = 'group2', category = '<LOC keymap_category_0004>Selection', order = 2,},
    ['3']              = {action =  'UI_ApplySelectionSet 3', stringkey = 'group3', category = '<LOC keymap_category_0004>Selection', order = 3,},
    ['4']              = {action =  'UI_ApplySelectionSet 4', stringkey = 'group4', category = '<LOC keymap_category_0004>Selection', order = 4,},
    ['5']              = {action =  'UI_ApplySelectionSet 5', stringkey = 'group5', category = '<LOC keymap_category_0004>Selection', order = 5,},
    ['6']              = {action =  'UI_ApplySelectionSet 6', stringkey = 'group6', category = '<LOC keymap_category_0004>Selection', order = 6,},
    ['7']              = {action =  'UI_ApplySelectionSet 7', stringkey = 'group7', category = '<LOC keymap_category_0004>Selection', order = 7,},
    ['8']              = {action =  'UI_ApplySelectionSet 8', stringkey = 'group8', category = '<LOC keymap_category_0004>Selection', order = 8,},
    ['9']              = {action =  'UI_ApplySelectionSet 9', stringkey = 'group9', category = '<LOC keymap_category_0004>Selection', order = 9,},
    ['0']              = {action =  'UI_ApplySelectionSet 0', stringkey = 'group0', category = '<LOC keymap_category_0004>Selection', order = 10,},
    ['Ctrl-1']         = {action =  'UI_MakeSelectionSet 1', stringkey = 'set_group1', category = '<LOC keymap_category_0004>Selection', order = 11,},
    ['Ctrl-2']         = {action =  'UI_MakeSelectionSet 2', stringkey = 'set_group2', category = '<LOC keymap_category_0004>Selection', order = 12,},
    ['Ctrl-3']         = {action =  'UI_MakeSelectionSet 3', stringkey = 'set_group3', category = '<LOC keymap_category_0004>Selection', order = 13,},
    ['Ctrl-4']         = {action =  'UI_MakeSelectionSet 4', stringkey = 'set_group4', category = '<LOC keymap_category_0004>Selection', order = 14,},
    ['Ctrl-5']         = {action =  'UI_MakeSelectionSet 5', stringkey = 'set_group5', category = '<LOC keymap_category_0004>Selection', order = 15,},
    ['Ctrl-6']         = {action =  'UI_MakeSelectionSet 6', stringkey = 'set_group6', category = '<LOC keymap_category_0004>Selection', order = 16,},
    ['Ctrl-7']         = {action =  'UI_MakeSelectionSet 7', stringkey = 'set_group7', category = '<LOC keymap_category_0004>Selection', order = 17,},
    ['Ctrl-8']         = {action =  'UI_MakeSelectionSet 8', stringkey = 'set_group8', category = '<LOC keymap_category_0004>Selection', order = 18,},
    ['Ctrl-9']         = {action =  'UI_MakeSelectionSet 9', stringkey = 'set_group9', category = '<LOC keymap_category_0004>Selection', order = 19,},
    ['Ctrl-0']         = {action =  'UI_MakeSelectionSet 0', stringkey = 'set_group0', category = '<LOC keymap_category_0004>Selection', order = 20,},
    # ['Ctrl-Y']         = {action =  'UI_RedoUnitSelection', stringkey = 'redo_selection', category = '<LOC keymap_category_0004>Selection', order = 21,},
    # ['Ctrl-I']         = {action =  'UI_InvertSelectAllUnits', stringkey = 'invert_selection', category = '<LOC keymap_category_0004>Selection', order = 22,},
    ['Ctrl-Shift-A']   = {action =  'UI_SelectByCategory AIR', stringkey = 'select_air', category = '<LOC keymap_category_0004>Selection', order = 23,},
    ['Ctrl-Alt-S']     = {action =  'UI_SelectByCategory NAVAL', stringkey = 'select_naval', category = '<LOC keymap_category_0004>Selection', order = 24,},
    ['Ctrl-L']         = {action =  'UI_SelectByCategory LAND', stringkey = 'select_land', category = '<LOC keymap_category_0004>Selection', order = 25,},
    ['Ctrl-Z']         = {action =  'UI_ExpandCurrentSelection', stringkey = 'select_all_units_of_same_type', category = '<LOC keymap_category_0004>Selection', order = 26,},
    ['Ctrl-B']         = {action =  'UI_SelectByCategory ENGINEER', stringkey = 'select_engineers', category = '<LOC keymap_category_0004>Selection', order = 27,},
    ['N']              = {action =  'StartCommandMode order RULEUCC_Nuke', stringkey = 'nuke', category = '<LOC keymap_category_0004>Selection', order = 28,},
    ['Period']         = {action =  'UI_SelectByCategory +nearest +idle +goto ENGINEER', stringkey = 'goto_engineer', category = '<LOC keymap_category_0004>Selection', order = 29,},
    ['Alt-Period']     = {action =  'UI_SelectByCategory +nearest +idle ENGINEER', stringkey = 'select_idle_engineer', category = '<LOC keymap_category_0004>Selection', order = 30,},
    ['Shift-Period']   = {action =  'UI_Lua import("/lua/modules/ui/game/avatars.lua").GetEngineerGeneric()', stringkey = 'cycle_engineers', category = '<LOC keymap_category_0004>Selection', order = 31,},
    ['Comma']          = {action =  'UI_SelectByCategory +nearest +goto COMMAND', stringkey = 'goto_commander', category = '<LOC keymap_category_0004>Selection', order = 32,},
    ['Alt-Comma']      = {action =  'UI_SelectByCategory +nearest COMMAND', stringkey = 'select_commander', category = '<LOC keymap_category_0004>Selection', order = 33,},
    ['Ctrl-X']         = {action =  'UI_SelectByCategory ALLUNITS', stringkey = 'select_all', category = '<LOC keymap_category_0004>Selection', order = 34,},
    ['Ctrl-C']     = {action =  'UI_SelectByCategory +inview ALLUNITS', stringkey = 'select_all_onscreen', category = '<LOC keymap_category_0004>Selection', order = 35,},
    ['Ctrl-Period']    = {action =  'UI_SelectByCategory +inview ENGINEER', stringkey = 'select_all_eng_onscreen', category = '<LOC keymap_category_0004>Selection', order = 36,},
    ['Ctrl-H']         = {action =  'UI_SelectByCategory +inview FACTORY', stringkey = 'select_all_factory_onscreen', category = '<LOC keymap_category_0004>Selection', order = 37,},
    ['H']              = {action =  'UI_SelectByCategory +nearest FACTORY', stringkey = 'select_nearest_factory', category = '<LOC keymap_category_0004>Selection', order = 38,},
    ['Ctrl-D']         = {action =  'UI_SelectByCategory +nearest LAND FACTORY', stringkey = 'select_nearest_land_factory', category = '<LOC keymap_category_0004>Selection', order = 39,},
    ['Ctrl-A']         = {action =  'UI_SelectByCategory +nearest AIR FACTORY', stringkey = 'select_nearest_air_factory', category = '<LOC keymap_category_0004>Selection', order = 40,},
    ['Ctrl-S']         = {action =  'UI_SelectByCategory +nearest NAVAL FACTORY', stringkey = 'select_nearest_naval_factory', category = '<LOC keymap_category_0004>Selection', order = 41,},

    ['Tab']            = {action =  'UI_Lua import("/lua/modules/ui/game/zoomslider.lua").RecallCameraPos()', stringkey = 'next_cam_position', category = '<LOC keymap_category_0025>Camera', order = 1,},
    ['Shift-Tab']      = {action =  'UI_Lua import("/lua/modules/ui/game/zoomslider.lua").SaveCameraPos()', stringkey = 'add_cam_position', category = '<LOC keymap_category_0025>Camera', order = 2,},
    ['Ctrl-Tab']       = {action =  'UI_Lua import("/lua/modules/ui/game/zoomslider.lua").RemoveCamPos()', stringkey = 'rem_cam_position', category = '<LOC keymap_category_0025>Camera', order = 3,},
    ['Q']              = {action =  'UI_Lua import("/lua/modules/ui/game/zoomslider.lua").ZoomIn(.02)', stringkey = 'zoom_in', category = '<LOC keymap_category_0025>Camera', order = 4,},
    ['W']              = {action =  'UI_Lua import("/lua/modules/ui/game/zoomslider.lua").ZoomOut(.02)', stringkey = 'zoom_out', category = '<LOC keymap_category_0025>Camera', order = 5,},
    ['Shift-Q']        = {action =  'UI_Lua import("/lua/modules/ui/game/zoomslider.lua").ZoomIn(.08)', stringkey = 'zoom_in_fast', category = '<LOC keymap_category_0025>Camera', order = 6,},
    ['Shift-W']        = {action =  'UI_Lua import("/lua/modules/ui/game/zoomslider.lua").ZoomOut(.08)', stringkey = 'zoom_out_fast', category = '<LOC keymap_category_0025>Camera', order = 7,},
    ['T']              = {action =  'UI_TrackUnit WorldCamera', stringkey = 'track_unit', category = '<LOC keymap_category_0025>Camera', order = 8,},
    ['Ctrl-Shift-T']   = {action =  'UI_TrackUnit MiniMap', stringkey = 'track_unit_minimap', category = '<LOC keymap_category_0025>Camera', order = 9,},
    ['Ctrl-Alt-T']     = {action =  'UI_TrackUnit CameraHead2', stringkey = 'track_unit_second_mon', category = '<LOC keymap_category_0025>Camera', order = 10,},
    ['V']              = {action =  'UI_Lua import("/lua/modules/ui/game/zoomslider.lua").ToggleWideView()', stringkey = 'reset_camera', category = '<LOC keymap_category_0025>Camera', order = 11,},
    
    ['R']              = {action =  'StartCommandMode order RULEUCC_Repair', stringkey = 'repair', category = '<LOC keymap_category_0036>Orders', order = 1,},
    ['E']              = {action =  'StartCommandMode order RULEUCC_Reclaim', stringkey = 'reclaim', category = '<LOC keymap_category_0036>Orders', order = 2,},
    ['P']              = {action =  'StartCommandMode order RULEUCC_Patrol', stringkey = 'patrol', category = '<LOC keymap_category_0036>Orders', order = 3,},
    ['A']              = {action =  'StartCommandMode order RULEUCC_Attack', stringkey = 'attack', category = '<LOC keymap_category_0036>Orders', order = 4,},
    ['C']              = {action =  'StartCommandMode order RULEUCC_Capture', stringkey = 'capture', category = '<LOC keymap_category_0036>Orders', order = 5,},
    ['S']              = {action =  'IssueCommand Stop', stringkey = 'stop', category = '<LOC keymap_category_0036>Orders', order = 6,},
    ['D']              = {action =  'IssueCommand Dive', stringkey = 'dive', category = '<LOC keymap_category_0036>Orders', order = 7,},
    ['F']              = {action =  'StartCommandMode order RULEUCC_Ferry', stringkey = 'ferry', category = '<LOC keymap_category_0036>Orders', order = 8,},
    ['I']              = {action =  'StartCommandMode order RULEUCC_Guard', stringkey = 'guard', category = '<LOC keymap_category_0036>Orders', order = 9,},
    ['U']              = {action =  'StartCommandMode order RULEUCC_Transport', stringkey = 'transport', category = '<LOC keymap_category_0036>Orders', order = 10,},
    ['L']              = {action =  'StartCommandMode order RULEUCC_Tactical', stringkey = 'launch_tactical', category = '<LOC keymap_category_0036>Orders', order = 11,},
    ['O']              = {action =  'StartCommandMode order RULEUCC_Overcharge', stringkey = 'overcharge', category = '<LOC keymap_category_0036>Orders', order = 12,},
    ['Z']              = {action =  'UI_Lua import("/lua/modules/ui/game/orders.lua").TogglePauseState()', stringkey = 'pause_unit', category = '<LOC keymap_category_0036>Orders', order = 13,},
    ['Ctrl-K']         = {action =  'KillSelectedUnits', stringkey = 'suicide', category = '<LOC keymap_category_0036>Orders', order = 14,},
    # ['B']              = {action =  'IssueCommand BuildSilo', stringkey = 'build', category = '<LOC keymap_category_0036>Orders', order = 15,},
    ['M']              = {action =  'StartCommandMode order RULEUCC_Move', stringkey = 'move', category = '<LOC keymap_category_0036>Orders', order = 16,},

    ['NumMinus']       = {action =  'WLD_DecreaseSimRate', stringkey = 'decrease_game_speed', category = '<LOC keymap_category_0079>Game', order = 1,},
    ['NumPlus']        = {action =  'WLD_IncreaseSimRate', stringkey = 'increase_game_speed', category = '<LOC keymap_category_0079>Game', order = 2,},
    ['NumStar']        = {action =  'WLD_ResetSimRate', stringkey = 'reset_game_speed', category = '<LOC keymap_category_0079>Game', order = 3,},

    ['Alt-Insert']     = {action =  'WLD_SingleStep', stringkey = 'pause_single_step', category = '<LOC keymap_category_0079>Game', order = 1,},
    ['Pageup']         = {action =  'UI_Lua import("/lua/modules/ui/game/chat.lua").ChatPageUp(10)', stringkey = 'chat_page_up', category = '<LOC keymap_category_0087>Chat', order = 2,},
    ['Pagedown']       = {action =  'UI_Lua import("/lua/modules/ui/game/chat.lua").ChatPageDown(10)', stringkey = 'chat_page_down', category = '<LOC keymap_category_0087>Chat', order = 3,},
    ['Shift-Pageup']   = {action =  'UI_Lua import("/lua/modules/ui/game/chat.lua").ChatPageUp(1)', stringkey = 'chat_line_up', category = '<LOC keymap_category_0087>Chat', order = 4,},
    ['Shift-Pagedown'] = {action =  'UI_Lua import("/lua/modules/ui/game/chat.lua").ChatPageDown(1)', stringkey = 'chat_line_down', category = '<LOC keymap_category_0087>Chat', order = 5,},

    
    ['F2']              = {action =  'UI_Lua import("/lua/modules/ui/game/options.lua").ToggleScore()', stringkey = 'toggle_score_screen', category = '<LOC keymap_category_0000>UI', order = 1,},
    ['F1']             = {action =  'UI_Lua import("/lua/modules/ui/game/options.lua").ToggleObjectives()', stringkey = 'toggle_objective_screen', category = '<LOC keymap_category_0000>UI', order = 2,},
    ['F3']              = {action =  'UI_Lua import("/lua/modules/ui/game/options.lua").ToggleTransmissions()', stringkey = 'toggle_transmission_screen', category = '<LOC keymap_category_0000>UI', order = 3,},
    ['F4']              = {action =  'UI_Lua import("/lua/modules/ui/game/options.lua").ToggleDiplomacy()', stringkey = 'toggle_diplomacy_screen', category = '<LOC keymap_category_0000>UI', order = 4,},
    ['F11']             = {action =  'UI_Disco', stringkey = 'toggle_disconnect_screen', category = '<LOC keymap_category_0000>UI', order = 5,},
    ['F12']             = {action = 'UI_Lua import("/lua/modules/ui/game/keybindings.lua").CreateUI()', stringkey = 'toggle_key_bindings', category = '<LOC keymap_category_0000>UI', order = 6,},
         
    # Debug
    ['Ctrl-Alt-P']     = {action =  'dbg navpath',},
    ['Alt-F2']         = {action =  'PopupCreateUnitMenu',},
    ['Alt-T']          = {action =  'TeleportSelectedUnits',},
    ['Alt-A']          = {action =  'AI_RunOpponentAI',},
    ['Ctrl-Alt-B']     = {action =  'BlingBling',}, 
    ['Ctrl-Delete']    = {action =  'DestroySelectedUnits',},
    
    ['Ctrl-Alt-Comma']	= {action =  'graphics_Fidelity 0',},    
    ['Ctrl-Alt-Period']	= {action =  'graphics_Fidelity 2',},   
    
    ['Alt-F3']         = {action =  'ScenarioMethod OnF3',},
    ['Shift-F3']       = {action =  'ScenarioMethod OnShiftF3',},
    ['Ctrl-F3']        = {action =  'ScenarioMethod OnCtrlF3',},
    ['Shift-F4']       = {action =  'ScenarioMethod OnShiftF4',},
    ['Ctrl-F4']        = {action =  'ScenarioMethod OnCtrlF4',},
    ['Ctrl-Alt-F4']    = {action =  'ScenarioMethod OnCtrlAltF4',},
    ['Ctrl-Shift-F4']  = {action =  'ScenarioMethod OnF4',},
    ['F5']             = {action =  'ScenarioMethod OnF5',},
    ['Shift-F5']       = {action =  'ScenarioMethod OnShiftF5',},
    ['Ctrl-F5']        = {action =  'ScenarioMethod OnCtrlF5',},
    ['Ctrl-Alt-F5']    = {action =  'ScenarioMethod OnCtrlAltF5',},

    ['F6']             = {action =  'SC_CreateEntityDialog',},
    ['F7']             = {action =  'ShowStats',},
    ['F8']             = {action =  'ShowArmyStats',},
    ['F9']             = {action =  'WIN_ToggleLogDialog',},
    ['Alt-F9']         = {action =  'SC_LuaDebugger',},
    ['Alt-F11']        = {action =  'ShowStats frame',},
    ['Ctrl-Alt-W']     = {action =  'ren_ShowWireframe tog',},
    ['Ctrl-Shift-W']   = {action =  'dbg weapons',},
    ['Ctrl-Alt-O']     = {action =  'dbg grid',},
    ['Alt-Q']          = {action =  'UI_ShowControlUnderMouse tog',},
    ['Alt-W']          = {action =  'UI_DumpControlsUnderCursor',},
    ['Alt-D']          = {action =  'UI_DumpControls',},
    ['Alt-V']          = {action =  'Ren_Showskeletons',},
    ['Alt-B']          = {action =  'Ren_ShowBoneNames',},

    ['Ctrl-Alt-X']     = {action =  'CON_ExecuteLastCommand',},
    ['Ctrl-Shift-C']   = {action =  'CopySelectedUnitsToClipboard',},
    ['Ctrl-Shift-V']   = {action =  'ExecutePasteBuffer',},
    ['Alt-C']          = {action =  'Cam_NearZoom 0.1',},
    ['Ctrl-Alt-V']     = {action =  'Cam_NearZoom 10.5',},    

    ['Alt-N']         = {action =  'Nodamage',},
    ['Ctrl-Alt-E']     = {action =  'EFX_CreateEmitterWindow',},
    ['Ctrl-Alt-A']     = {action =  'AI_RunOpponentAI',},
    ['Ctrl-Alt-Z']     = {action =  'SallyShears',},
    ['Ctrl-Shift-Alt-C']   = {action =  'dbg Collision',},

    ['LeftBracket']    = {action =  'UI_Lua import("/lua/modules/ui/game/orders.lua").CycleRetaliateStateUp()',}, #cut?

}
