-- Contains the localized friendly names of key codes used in the game
-- Key codes must be in hex and match the Windows VK codes

keyNames = {
    ['01'] = 'LeftMouse',
    ['02'] = 'RightMouse',
    ['03'] = 'Cancel',
    ['04'] = 'MiddleMouse',
    ['08'] = 'Backspace',
    ['09'] = 'Tab',
    ['0C'] = 'Clear',
    ['0D'] = 'Enter', -- change Enter at your own peril, it's handled specially to open the chat window
    ['10'] = 'Shift',
    ['11'] = 'Ctrl',
    ['12'] = 'Alt',
    ['13'] = 'Pause',
    ['14'] = 'CapsLock',
    ['15'] = 'ImeHangulMode',
    ['17'] = 'ImeJunjaMode',
    ['18'] = 'ImeFinalMode',
    ['19'] = 'ImeKanjiMode',
    ['1B'] = 'Esc',
    ['1C'] = 'ImeConvert',
    ['1D'] = 'ImeNonConvert',
    ['1E'] = 'ImeAccept',
    ['1F'] = 'ImeModeChange',
    ['20'] = 'Space',
    ['21'] = 'PageUp',
    ['22'] = 'PageDown',
    ['23'] = 'End',
    ['24'] = 'Home',
    ['25'] = 'LeftArrow',
    ['26'] = 'UpArrow',
    ['27'] = 'RightArrow',
    ['28'] = 'DownArrow',
    ['29'] = 'Select',
    ['2A'] = 'Print',
    ['2B'] = 'Execute',
    ['2C'] = 'PrintScreen',
    ['2D'] = 'Insert',
    ['2E'] = 'Delete',
    ['2F'] = 'Help',
    ['30'] = '0',
    ['31'] = '1',
    ['32'] = '2',
    ['33'] = '3',
    ['34'] = '4',
    ['35'] = '5',
    ['36'] = '6',
    ['37'] = '7',
    ['38'] = '8',
    ['39'] = '9',
    ['41'] = 'A',
    ['42'] = 'B',
    ['43'] = 'C',
    ['44'] = 'D',
    ['45'] = 'E',
    ['46'] = 'F',
    ['47'] = 'G',
    ['48'] = 'H',
    ['49'] = 'I',
    ['4A'] = 'J',
    ['4B'] = 'K',
    ['4C'] = 'L',
    ['4D'] = 'M',
    ['4E'] = 'N',
    ['4F'] = 'O',
    ['50'] = 'P',
    ['51'] = 'Q',
    ['52'] = 'R',
    ['53'] = 'S',
    ['54'] = 'T',
    ['55'] = 'U',
    ['56'] = 'V',
    ['57'] = 'W',
    ['58'] = 'X',
    ['59'] = 'Y',
    ['5A'] = 'Z',
    ['5B'] = 'LeftWindows',
    ['5C'] = 'RightWindows',
    ['5D'] = 'Applications',
    ['5F'] = 'Sleep',
    ['60'] = 'Num0',
    ['61'] = 'Num1',
    ['62'] = 'Num2',
    ['63'] = 'Num3',
    ['64'] = 'Num4',
    ['65'] = 'Num5',
    ['66'] = 'Num6',
    ['67'] = 'Num7',
    ['68'] = 'Num8',
    ['69'] = 'Num9',
    ['6A'] = 'NumStar',
    ['6B'] = 'NumPlus',
    ['6C'] = 'Separator',
    ['6D'] = 'NumMinus',
    ['6E'] = 'NumPeriod',
    ['6F'] = 'NumSlash',
    ['70'] = 'F1',
    ['71'] = 'F2',
    ['72'] = 'F3',
    ['73'] = 'F4',
    ['74'] = 'F5',
    ['75'] = 'F6',
    ['76'] = 'F7',
    ['77'] = 'F8',
    ['78'] = 'F9',
    ['79'] = 'F10',
    ['7A'] = 'F11',
    ['7B'] = 'F12',
    ['7C'] = 'F13',
    ['7D'] = 'F14',
    ['7E'] = 'F15',
    ['7F'] = 'F16',
    ['80'] = 'F17',
    ['81'] = 'F18',
    ['82'] = 'F19',
    ['83'] = 'F20',
    ['84'] = 'F21',
    ['85'] = 'F22',
    ['86'] = 'F23',
    ['87'] = 'F24',
    ['90'] = 'NumLock',
    ['91'] = 'ScrollLock',
    ['A0'] = 'LeftShift',
    ['A1'] = 'RightShift',
    ['A2'] = 'LeftCtrl',
    ['A3'] = 'RightCtrl',
    ['A4'] = 'LeftAlt',
    ['A5'] = 'RightAlt',
    ['A6'] = 'BrowserBack',
    ['A7'] = 'BrowserForward',
    ['A8'] = 'BrowserRefresh',
    ['A9'] = 'BrowserStop',
    ['AA'] = 'BrowserSearch',
    ['AB'] = 'BrowserFavorites',
    ['AC'] = 'BrowserHome',
    ['AD'] = 'VolumeMute',
    ['AE'] = 'VolumeDown',
    ['AF'] = 'VolumeUp',
    ['B0'] = 'MediaNextTrack',
    ['B1'] = 'MediaPrevTrack',
    ['B2'] = 'MediaStop',
    ['B3'] = 'MediaPlayPause',
    ['B4'] = 'LaunchMail',
    ['B5'] = 'LaunchMediaSelect',
    ['BA'] = 'Semicolon',
    ['BB'] = 'Equals',
    ['BC'] = 'Comma',
    ['BD'] = 'Minus',
    ['BE'] = 'Period',
    ['BF'] = 'Slash',
    ['C0'] = 'Tilde',
    ['D8'] = 'MWheelUp',
    ['D9'] = 'MWheelDown',
    ['DB'] = 'LeftBracket',
    ['DC'] = 'Backslash',
    ['DD'] = 'RightBracket',
    ['DE'] = 'Quote',
    ['E5'] = 'ImeProcess',
    ['E7'] = 'UnicodePacket',
    ['F6'] = 'Attn',
    ['F7'] = 'CrSel',
    ['F8'] = 'ExSel',
    ['F9'] = 'EraseEOF',
    ['FA'] = 'Play',
    ['FB'] = 'Zoom',
    ['FD'] = 'PA1',
    ['FE'] = 'OemClear',
}
