-- Maps specific key combinations to console commands
-- Key combos should be seperated by -'s
-- See keyNames.lua for key names! Key names for modifiers are as follows and must be followed by a dash ('-')
-- Shift = 0x10
-- Ctrl = 0x11
-- Alt = 0x12
keyDescriptions = {
    ['escape'] = '<LOC key_desc_0000>Brings up Game Menu',
    ['ssmode'] = '<LOC key_desc_0001>Toggles Screen Shot mode',
    ['pause'] = '<LOC key_desc_0002>Toggles Game Pause',
    ['cap_frame'] = '<LOC key_desc_0003>Take a screen shot',

    ['group1'] = '<LOC key_desc_0004>Recall Group 1',
    ['group2'] = '<LOC key_desc_0005>Recall Group 2',
    ['group3'] = '<LOC key_desc_0006>Recall Group 3',
    ['group4'] = '<LOC key_desc_0007>Recall Group 4',
    ['group5'] = '<LOC key_desc_0008>Recall Group 5',
    ['group6'] = '<LOC key_desc_0009>Recall Group 6',
    ['group7'] = '<LOC key_desc_0010>Recall Group 7',
    ['group8'] = '<LOC key_desc_0011>Recall Group 8',
    ['group9'] = '<LOC key_desc_0012>Recall Group 9',
    ['group0'] = '<LOC key_desc_0013>Recall Group 10',
    ['toggle_lifebars'] = '<LOC key_desc_0014>Toggle life bars',

    ['set_group1'] = '<LOC key_desc_0015>Set Group 1',
    ['set_group2'] = '<LOC key_desc_0016>Set Group 2',
    ['set_group3'] = '<LOC key_desc_0017>Set Group 3',
    ['set_group4'] = '<LOC key_desc_0018>Set Group 4',
    ['set_group5'] = '<LOC key_desc_0019>Set Group 5',
    ['set_group6'] = '<LOC key_desc_0020>Set Group 6',
    ['set_group7'] = '<LOC key_desc_0021>Set Group 7',
    ['set_group8'] = '<LOC key_desc_0022>Set Group 8',
    ['set_group9'] = '<LOC key_desc_0023>Set Group 9',
    ['set_group0'] = '<LOC key_desc_0024>Set Group 10',

    ['next_cam_position'] = '<LOC key_desc_0025>Go to the next saved Camera Position',
    ['add_cam_position'] = '<LOC key_desc_0026>Save a Camera Position',
    ['rem_cam_position'] = '<LOC key_desc_0027>Delete current Camera Position',
    
    ['zoom_in'] = '<LOC key_desc_0028>Zoom your View in',
    ['zoom_out'] = '<LOC key_desc_0029>Zoom your View out',
    ['zoom_in_fast'] = '<LOC key_desc_0030>Zoom your View in fast',
    ['zoom_out_fast'] = '<LOC key_desc_0031>Zoom your View out fast',
    ['tog_military'] = '<LOC key_desc_0032>Toggle Military Overlay',
    ['tog_defense'] = '<LOC key_desc_0033>Toggle Defense Overlay',
    ['tog_econ'] = '<LOC key_desc_0034>Toggle Economy Overlay',
    ['tog_intel'] = '<LOC key_desc_0035>Toggle Intel Overlay',
    ['repair'] = '<LOC key_desc_0036>Repair',
    ['reclaim'] = '<LOC key_desc_0037>Reclaim',
    ['track_unit'] = '<LOC key_desc_0038>Track a unit in the Primary view',
    ['track_unit_minimap'] = '<LOC key_desc_0039>Track a unit in the Strategic view',
    ['track_unit_second_mon'] = '<LOC key_desc_0040>Track a unit on the Second Monitor',
    # ['redo_selection'] = '<LOC key_desc_0041>Redo Selection',
    # ['invert_selection'] = '<LOC key_desc_0042>Invert Selection',
    ['patrol'] = '<LOC key_desc_0043>Patrol',
    ['attack'] = '<LOC key_desc_0044>Attack',
    ['capture'] = '<LOC key_desc_0045>Capture',
    ['select_air'] = '<LOC key_desc_0046>Select all Air units',
    ['stop'] = '<LOC key_desc_0047>Stop and cancel all Orders',
    ['select_naval'] = '<LOC key_desc_0048>Select all Naval units',
    ['dive'] = '<LOC key_desc_0049>Dive',
    ['cap_frames'] = '<LOC key_desc_0050>Capture Frames',
    ['ferry'] = '<LOC key_desc_0051>Ferry',
    ['guard'] = '<LOC key_desc_0052>Guard',
    ['transport'] = '<LOC key_desc_0053>Transport',
    ['launch_tactical'] = '<LOC key_desc_0054>Launch a Tactical Missile',
    ['overcharge'] = '<LOC key_desc_0055>Overcharge',
    ['pause_unit'] = '<LOC key_desc_0056>Pause',
    ['suicide'] = '<LOC key_desc_0057>Self-Destruct',
    ['select_land'] = '<LOC key_desc_0058>Select all Land units',
    ['select_all_units_of_same_type'] = '<LOC key_desc_0059>Select all units similar to those selected',
    ['reset_camera'] = '<LOC key_desc_0060>Reset the Camera',
    # ['build'] = '<LOC key_desc_0061>Silo Build mode',
    ['select_engineers'] = '<LOC key_desc_0062>Select all Engineers',
    ['nuke'] = '<LOC key_desc_0063>Nuke',
    ['rename'] = '<LOC key_desc_0064>Rename the selected unit',
    ['move'] = '<LOC key_desc_0065>Move',
    ['goto_engineer'] = '<LOC key_desc_0066>Go to the nearest idle Engineer',
    ['select_idle_engineer'] = '<LOC key_desc_0067>Select the nearest idle Engineeer',
    ['cycle_engineers'] = '<LOC key_desc_0068>Cycle through all Engineers',
    ['goto_commander'] = '<LOC key_desc_0069>Go to your ACU',
    ['select_commander'] = '<LOC key_desc_0070>Select your ACU',
    ['select_all'] = '<LOC key_desc_0071>Select all units',
    ['select_all_onscreen'] = '<LOC key_desc_0072>Select all units on the screen',
    ['select_all_eng_onscreen'] = '<LOC key_desc_0073>Select all Engineers on the screen',
    ['select_all_factory_onscreen'] = '<LOC key_desc_0074>Select all Factories on the screen',
    ['select_nearest_factory'] = '<LOC key_desc_0075>Select the nearest Factory',
    ['select_nearest_land_factory'] = '<LOC key_desc_0076>Select the nearest Land Factory',
    ['select_nearest_air_factory'] = '<LOC key_desc_0077>Select the nearest Air Factory',
    ['select_nearest_naval_factory'] = '<LOC key_desc_0078>Select the nearest Naval Factory',

    ['decrease_game_speed'] = '<LOC key_desc_0079>Decrease game speed',
    ['increase_game_speed'] = '<LOC key_desc_0080>Increase game speed',
    ['reset_game_speed'] = '<LOC key_desc_0081>Reset game speed to 0 (Normal Speed)',
    ['focus_window_primary'] = '<LOC key_desc_0082>Set focus to the Primary Monitor',
    ['focus_window_secondary'] = '<LOC key_desc_0083>Set focus to the Secondary Monitor',

    ['split_screen_enable'] = '<LOC key_desc_0084>Enable split screen',
    ['split_screen_disable'] = '<LOC key_desc_0085>Disable split screen',
    ['pause_single_step'] = '<LOC key_desc_0086>While paused, step forward one tick',
    ['chat_page_up'] = '<LOC key_desc_0087>Chat page up',
    ['chat_page_down'] = '<LOC key_desc_0088>Chat page down',
    ['chat_line_up'] = '<LOC key_desc_0089>Chat line up',
    ['chat_line_down'] = '<LOC key_desc_0090>Chat line down',

    ['switch_skin_up'] = '<LOC key_desc_0091>Rotate skins up',
    ['switch_skin_down'] = '<LOC key_desc_0092>Rotate skins down',
    ['switch_layout_up'] = '<LOC key_desc_0093>Rotate layouts up',
    ['switch_layout_down'] = '<LOC key_desc_0094>Rotate layouts down',
    
    ['toggle_score_screen'] = '<LOC key_desc_0095>Toggles the Score Overlay',
    ['toggle_objective_screen'] = '<LOC key_desc_0096>Toggles the Objective Window',
    ['toggle_transmission_screen'] = '<LOC key_desc_0097>Toggles the Transmission Window',
    ['toggle_diplomacy_screen'] = '<LOC key_desc_0098>Toggles the Diplomacy Window',
    ['toggle_disconnect_screen'] = '<LOC key_desc_0099>Toggles the Connectivity Screen',
    ['toggle_key_bindings'] = '<LOC key_desc_0100>Toggles the Key Bindings Screen',
    
}
