#****************************************************************************
#**
#**  File     :  /lua/modules/ScenarioStrings.lua
#**  Author(s):  Jessica St. Croix
#**
#**  Summary  :  Strings for use in scenarios
#**
#**  Copyright  2006 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

# -------------
# Map Expansion
# -------------
MapExpansion = {
    {text = '<LOC ScenStr_0000>Operation area expanded',},
}

# --------------
# New Objectives
# --------------
NewObj = {
    {text = '<LOC ScenStr_0001>New objective',},
}
NewPObj = {
    {text = '<LOC ScenStr_0002>New primary objective',},
}
NewSObj = {
    {text = '<LOC ScenStr_0003>New secondary objective',},
}

# --------------------
# Completed Objectives
# --------------------
ObjComp = {
    {text = '<LOC ScenStr_0004>Objective completed',},
}
PObjComp = {
    {text = '<LOC ScenStr_0005>Primary objective completed',},
}
SObjComp = {
    {text = '<LOC ScenStr_0006>Secondary objective completed',},
}
HObjComp = {
    {text = '<LOC ScenStr_0007>Hidden objective completed',},
}
BObjComp = {
    {text = '<LOC ScenStr_0008>Bonus objective completed',},
}

# -----------------
# Failed Objectives
# -----------------
ObjFail = {
    {text = '<LOC ScenStr_0009>Objective failed',},
}
PObjFail = {
    {text = '<LOC ScenStr_0010>Primary objective failed',},
}
SObjFail = {
    {text = '<LOC ScenStr_0011>Secondary objective failed',},
}
# -----------------------
# Operation Progress
# -----------------------
ObjProgress = '(%s/%s)'
# ------------------
# Updated Objectives
# ------------------
ObjUpdate = {
    {text = '<LOC ScenStr_0012>Objective updated',},
}
PObjUpdate = {
    {text = '<LOC ScenStr_0013>Primary objective updated',},
}
SObjUpdate = {
    {text = '<LOC ScenStr_0014>Secondary objective updated',},
}

# -----------------------------------
# Mission Complete/Operation Complete
# -----------------------------------
MissionSuccessDialogue = {
    {text = '<LOC ScenStr_0015>All Primary Objectives Completed. Mission Successful.',},
}
OperationSuccessDialogue = {
    {text = '<LOC ScenStr_0016>All Primary Objectives Completed. Operation Successful.',},
}

# -----------------------
# Operation Complete/Fail
# -----------------------
OpComp = {
    {text = '<LOC ScenStr_0017>Operation completed',},
}
OpFail = {
    {text = '<LOC ScenStr_0018>Operation failed',},
}


# -----------------------
# Commander Killed
# -----------------------
CDRKilled = {
    {text = '<LOC ScenStr_0019>Commander Destroyed. Mission Failed.',},
}

# -----------------------
# Generic Reminders
# -----------------------
UEFGenericReminder      = import('/maps/SCCA_E01/SCCA_E01_strings.lua').E01_M01_060
CybranGenericReminder   = import('/maps/SCCA_R01/SCCA_R01_strings.lua').C01_M01_060
AeonGenericReminder     = import('/maps/SCCA_A01/SCCA_A01_strings.lua').A01_M01_060



#-------------------------------------------------------------------------------------------------
# Custom Names
#
# These strings are commented out, but they still get found for creating the localization DB. you
# can access them like this: LOG(LOC "{i Arnold} says hello")
#-------------------------------------------------------------------------------------------------
#-------------------------------------------------------------------------------------------------
# Character names for naming commander and subcommander units
#-------------------------------------------------------------------------------------------------
# '<LOC CDR_Ariel>CDR Ariel'
# '<LOC CDR_Arnold>CDR Arnold'
# '<LOC CDR_Berry>CDR Berry'
# '<LOC CDR_Blake>CDR Blake'
# '<LOC CDR_Dostya>CDR Dostya'
# '<LOC CDR_Eris>CDR Eris'
# '<LOC CDR_Gart>CDR Gart'
# '<LOC CDR_Gauge>CDR Gauge'
# '<LOC CDR_Godwyn>CDR Godwyn'
# '<LOC CDR_Leopard_11>CDR Leopard 11'
# '<LOC CDR_Mach>CDR Mach'
# '<LOC CDR_Min>CDR Min'
# '<LOC CDR_Red_Fog>CDR Red Fog'
# '<LOC CDR_Rhiza>CDR Rhiza'

# '<LOC sCDR_Aiko>sCDR Aiko'
# '<LOC sCDR_Jericho>sCDR Jericho'
# '<LOC sCDR_Rhiza>sCDR Rhiza'

# '<LOC PlayerName>{g PlayerName}'
# '<LOC CDR_Player>CDR {g PlayerName}'

# '<LOC BLD_Symb_R1Name>Symbiont Holding Facility'

#-------------------------------------------------------------------------------------------------
# Op-Specific names
#-------------------------------------------------------------------------------------------------
    #- E5
        # '<LOC E5_RF1Name>Black Sun Research Facility Alpha'
        # '<LOC E5_RF2Name>Black Sun Research Facility Beta'
        # '<LOC E5_RF3Name>Black Sun Research Facility Delta'

    #- C2
        # '<LOC R02_TechName>Seraphim Tech [placeholder UEF scout for now]'

    #- C4
        # '<LOC R04_MainframeName>Mainframe'
        # '<LOC R04_NodeName>Network Node'

    #- C5
        # '<LOC R05_Hex5Name>Hex5'
        # '<LOC R05_GeneralPrison>UEF Prison Complex: Pollux Territory'
        # '<LOC R05_Hex5Prison>UEF Military Prison: P7-03'
        # '<LOC R05_UEFCommander>CDR Godwyn'

    #- E6/R6/A6
        # '<LOC BlackSunCannon>Black Sun Cannon'
        # '<LOC BlackSunControlTower>Black Sun Control Tower'
