#****************************************************************************
#**
#**  File     :  /cdimage/lua/modules/editor/OtherArmyUnitCountBuildConditions.lua
#**  Author(s): Dru Staltman
#**
#**  Summary  : Generic AI Platoon Build Conditions
#**             Build conditions always return true or false
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************
local AIUtils = import('/lua/modules/ai/aiutilities.lua')
local ScenarioFramework = import('/lua/modules/scenarioframework.lua')
local ScenarioUtils = import('/lua/ScenarioUtilities.lua')

##############################################################################################################
# function: BrainGreaterThanNumCategory = BuildCondition	doc = "Please work function docs."
# 
# parameter 0: string	aiBrain		= "default_brain"		
# parameter 1: string	targetBrain	= "ArmyName"		
# parameter 2: int	numReq		= 0			doc = "docs for param1"
# parameter 3: expr	category	= categories.ALLUNITS			doc = "param2 docs"
#
##############################################################################################################
function BrainGreaterThanNumCategory( aiBrain, targetBrain, numReq, category )
    local testBrain = GetArmyBrain(targetBrain)
    local numUnits = testBrain:GetCurrentUnits(category)
    if numUnits > numReq then
        return true
    else
        return false
    end
end


##############################################################################################################
# function: BrainLessThanNumCategory = BuildCondition	doc = "Please work function docs."
# 
# parameter 0: string	aiBrain		= "default_brain"		
# parameter 1: string	targetBrain	= "ArmyName"		
# parameter 2: int	numReq		= 0			doc = "docs for param1"
# parameter 3: expr	category	= categories.ALLUNITS			doc = "param2 docs"
#
##############################################################################################################
function BrainLessThanNumCategory( aiBrain, targetBrain, numReq, category )
    local testBrain = GetArmyBrain(targetBrain)
    local numUnits = testBrain:GetCurrentUnits(category)
    if numUnits < numReq then
        return true
    else
        return false
    end
end


##############################################################################################################
# function: BrainGreaterThanOrEqualNumCategory = BuildCondition	doc = "Please work function docs."
# 
# parameter 0: string	aiBrain		= "default_brain"		
# parameter 1: string	targetBrain	= "ArmyName"		
# parameter 2: int	numReq		= 0			doc = "docs for param1"
# parameter 3: expr	category	= categories.ALLUNITS			doc = "param2 docs"
#
##############################################################################################################
function BrainGreaterThanOrEqualNumCategory( aiBrain, targetBrain, numReq, category )
    local testBrain = GetArmyBrain(targetBrain)
    local numUnits = testBrain:GetCurrentUnits(category)
    if numUnits >= numReq then
        return true
    else
        return false
    end
end


##############################################################################################################
# function: BrainLessThanOrEqualNumCategory = BuildCondition	doc = "Please work function docs."
# 
# parameter 0: string	aiBrain		= "default_brain"		
# parameter 1: string	targetBrain	= "ArmyName"		
# parameter 2: int	numReq		= 0			doc = "docs for param1"
# parameter 3: expr	category	= categories.ALLUNITS			doc = "param2 docs"
#
##############################################################################################################
function BrainLessThanOrEqualNumCategory( aiBrain, targetBrain, numReq, category )
    local testBrain = GetArmyBrain(targetBrain)
    local numUnits = testBrain:GetCurrentUnits(category)
    if numUnits <= numReq then
        return true
    else
        return false
    end
end
