#****************************************************************************
#**
#**  File     :  /cdimage/lua/modules/platoontemplates.lua
#**  Author(s):
#**
#**  Summary  :
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************
#########################################
# Platoons & Squads Templates           #
#########################################

PlatoonTemplates =
{
    ###########################
    # Earth Platoon Templates #   
    ###########################
    {       
        
        # AIR PLATOONS
        {
            # unit BP  min max class type formation name
            'T1AirScout1',  # template name
            'ScoutingAI',   # ai name
            { 'uea0101', 1, 1, 'scout', 'GrowthFormation'}, 
        },
        {
            'T1AirBomber1',
            'HuntAI',
            { 'uea0103', 2, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T1AirFighter1',
            'PatrolBaseVectorsAI',
            { 'uea0102', 2, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T1AirTransport1',
            'DisbandAI',
            { 'uea0107', -1, 1, 'support', 'GrowthFormation'},
        },
        {
            'T2AirTransport1',
            'DisbandAI',
            { 'uea0104', -1, 1, 'support', 'GrowthFormation'},
        },
        {
            'T2AirGunship1',
            'HuntAI',
            { 'uea0203', 2, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T2AirTorpedoBomber1',
            'HuntAI',
            { 'uea0204', 2, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T3AirScout1',
            'ScoutingAI',
            { 'uea0302', 1, 1, 'scout', 'GrowthFormation'},
        },
        {
            'T3AirFighter1',
            'PatrolBaseVectorsAI',
            { 'uea0303', 2, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T3AirBomber1',
            'HuntAI',
            { 'uea0304', 2, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T3AirGunship1',
            'HuntAI',
            { 'uea0305', 2, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T1AirBomber2',
            'HuntAI',
            { 'uea0103', -1, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T2AirGunship2',
            'HuntAI',
            { 'uea0203', -1, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T3AirBomber2',
            'HuntAI',
            { 'uea0304', -1, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T3AirGunship2',
            'HuntAI',
            { 'uea0305', -1, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T4ExperimentalAir',
            'StrikeForceAI',
            { 'uel0401', 1, 1, 'attack', 'None'},
        },
        
        # LAND PLATOONS
        
        
        {
            'T1LandScout1',
            'ScoutingAI',
            { 'uel0101', 1, 1, 'scout', 'GrowthFormation'},
        },
        {
            'T1LandDFTank1',
            'PatrolBaseVectorsAI',
            { 'uel0201', 2, 10, 'attack', 'GrowthFormation'},
        },
        {
            'T1LandDFBot1',
            'PatrolBaseVectorsAI',
            { 'uel0106', 2, 10, 'attack', 'GrowthFormation'},
        },
        {
            'T1LandArtillery1',
            'PatrolBaseVectorsAI',
            { 'uel0103', 2, 7, 'Attack', 'GrowthFormation'},
        },
        {
            'T1LandAA1',
            'PatrolBaseVectorsAI',
            { 'uel0104', 2, 5, 'Attack', 'GrowthFormation'},
        },
        {
            'T2LandArtillery1',
            'PatrolBaseVectorsAI',
            { 'uel0111', 1, 3, 'artillery', 'GrowthFormation'},
            { 'uel0307', 1, 1, 'artillery', 'GrowthFormation'},
        },
        {
            'T2LandDFTank1',
            'PatrolBaseVectorsAI',
            { 'uel0202', 1, 4, 'attack', 'GrowthFormation'},
            { 'uel0106', 2, 10, 'attack', 'GrowthFormation'},
        },
        {
            'T2LandAA1',
            'PatrolBaseVectorsAI',
            { 'uel0205', 1, 3, 'attack', 'GrowthFormation'},
        },
        {
            'T2LandAmphibious1',
            'PatrolBaseVectorsAI',
            { 'uel0203', 1, 4, 'attack', 'GrowthFormation'},
        },
        {
            'T3LandBot1',
            'PatrolBaseVectorsAI',
            { 'uel0303', 1, 3, 'attack', 'GrowthFormation'},
            { 'uel0106', 2, 10, 'attack', 'GrowthFormation'},
        },
        {
            'T3LandArtillery1',
            'PatrolBaseVectorsAI',
            { 'uel0304', 1, 2, 'artillery', 'GrowthFormation'},
            { 'uel0307', 1, 1, 'artillery', 'GrowthFormation'},
        },
        {
            'T1LandDFTank2',
            'PatrolBaseVectorsAI',
            { 'uel0201', -1, 10, 'attack', 'GrowthFormation'},
        },
        {
            'T1LandDFBot2',
            'PatrolBaseVectorsAI',
            { 'uel0106', -1, 10, 'attack', 'GrowthFormation'},
        },
        {
            'T1LandArtillery2',
            'PatrolBaseVectorsAI',
            { 'uel0103', -1, 7, 'Attack', 'GrowthFormation'},
        },
        {
            'T1LandAA2',
            'PatrolBaseVectorsAI',
            { 'uel0104', -1, 5, 'Attack', 'GrowthFormation'},
        },
        {
            'T2LandArtillery2',
            'PatrolBaseVectorsAI',
            { 'uel0111', -1, 3, 'artillery', 'GrowthFormation'},
            { 'uel0106', -1, 10, 'attack', 'GrowthFormation'},
            { 'uel0307', 1, 1, 'artillery', 'GrowthFormation'},
        },
        {
            'T2LandDFTank2',
            'PatrolBaseVectorsAI',
            { 'uel0202', -1, 4, 'attack', 'GrowthFormation'},
            { 'uel0106', -1, 10, 'attack', 'GrowthFormation'},
        },
        {
            'T2LandAA2',
            'PatrolBaseVectorsAI',
            { 'uel0205', -1, 3, 'attack', 'GrowthFormation'},
        },
        {
            'T2LandAmphibious2',
            'PatrolBaseVectorsAI',
            { 'uel0203', -1, 4, 'attack', 'GrowthFormation'},
        },
        {
            'T3LandBot2',
            'PatrolBaseVectorsAI',
            { 'uel0303', -1, 3, 'attack', 'GrowthFormation'},
            { 'uel0106', -1, 10, 'attack', 'GrowthFormation'},
        },
        {
            'T3LandArtillery2',
            'PatrolBaseVectorsAI',
            { 'uel0304', -1, 2, 'artillery', 'GrowthFormation'},
            { 'uel0106', -1, 10, 'attack', 'GrowthFormation'},
            { 'uel0307', 1, 1, 'artillery', 'GrowthFormation'},
        },
        {
            'T2MobileShield1',
            'PatrolBaseVectorsAI',
            { 'uel0307', 1, 1, 'support', 'GrowthFormation'},
        },
        {
            'T3LandSubCommander1',
            'HuntAI',
            { 'uel0301', 1, 1, 'support', 'None'},
        },
        {
            'T4ExperimentalLand1',
            'StrikeForceAI',
            { 'uel0401', 1, 1, 'attack', 'None'},
        },
        {
            'T4ExperimentalLand2',
            'StrikeForceAI',
            { 'uel0401', 1, 1, 'attack', 'None'},
        },

        # SEA PLATOONS
        {
            'T1SeaSub1',
            'NavalPatrolAI',
            { 'ues0203', -1, 3, 'attack', 'GrowthFormation'},
        },
        {
            'T1SeaFrigate1',
            'NavalPatrolAI',
            { 'ues0103', -1, 3, 'attack', 'GrowthFormation'},
        },
        {
            'T1SeaFrigate2',
            'NavalPatrolAI',
            { 'ues0103', -1, 3, 'attack', 'GrowthFormation'},
        },
        {
            'T2SeaDestroyer1',
            'NavalPatrolAI',
            { 'ues0201', -1, 2, 'attack', 'GrowthFormation'},
        },
        {
            'T2SeaCruiser1',
            'NavalPatrolAI',
            { 'ues0202', -1, 2, 'attack', 'GrowthFormation'},
        },
        {
            'T3SeaBattleship1',
            'NavalPatrolAI',
            { 'ues0302', -1, 1, 'attack', 'GrowthFormation'},
        },
        {
            'T3SeaNukeSub1',
            'NukeAI',
            { 'ues0304', -1, 1, 'attack', 'GrowthFormation'},
        },
        {
            'T3SeaCarrier1',
            'NavalPatrolAI',
            { 'ues0401', -1, 1, 'attack', 'GrowthFormation'},
        },
        {
            'T4ExperimentalSea',
            'NavalPatrolAI',
            { 'ues0401', 1, 1, 'attack', 'None'},
        },
        
        # ENGINEERS       
        {
            'CommanderBuilder',
            'EngineerBuildAI',
            { 'uel0001', 1, 1, 'support', 'None'},
        },
        {
            'CommanderEnhance',
            'EnhanceAI',
            { 'uel0001', 1, 1, 'support', 'None'},
        },
        {
            'CommanderAssist',
            'EngineerAssistAI',
            { 'uel0001', 1, 1, 'support', 'None'},
        },  
        {
            'EngineerAssist',
            'EngineerAssistAI',
            { 'uel0105', 1, 1, 'support',  'None' },
        },
        {
            'T2EngineerAssist',
            'EngineerAssistAI',
            { 'uel0208', 2, 2, 'support',  'None' },
        },
        {
            'T3EngineerAssist',
            'EngineerAssistAI',
            { 'uel0309', 3, 3, 'support',  'None' },
        },
        {
            'Engineer',
            'EngineerAI',
            { 'uel0105', 3, 3, 'support',  'None' },
        },    
        {
            'T2Engineer',
            'EngineerAI',
            { 'uel0208', 3, 3, 'support',  'None' },
        },  
        {
            'T3Engineer',
            'EngineerAI',
            { 'uel0309', 3, 3, 'support',  'None' },
        },      
        {
            'EngineerOnlyBuild',
            'DisbandAI',
            { 'uel0105', 5, 5, 'support',  'None' },
        },
        {
            'T2EngineerOnlyBuild',
            'DisbandAI',
            { 'uel0208', 5, 5, 'support',  'None' },
        },
        {
            'T3EngineerOnlyBuild',
            'DisbandAI',
            { 'uel0309', 6, 6, 'support',  'None' },
        },
        {
            'T3EngineerOnlyBuild2',
            'DisbandAI',
            { 'uel0309', -1, 6, 'support',  'None' },
        },
        {
            'EngineerBuilder',
            'EngineerBuildAI',
            { 'uel0105', 3, 3, 'support',  'None' },
        }, 
        {
            'T2EngineerBuilder',
            'EngineerBuildAI',
            { 'uel0208', 3, 3, 'support',  'None' },
        },  
        {
            'T3EngineerBuilder',
            'EngineerBuildAI',
            { 'uel0309', 3, 3, 'support',  'None' },
        },  
        {
            'T3EngineerBuilderBig',
            'EngineerBuildAI',
            { 'uel0309', 6, 6, 'support',  'None' },
        }, 
        {
            'EngineerGenericSingle',
            'EngineerBuildAI',
            { 'uel0105', 1, 1, 'support',  'None' },
        },
        {
            'T2EngineerGenericSingle',
            'EngineerBuildAI',
            { 'uel0208', 1, 1, 'support',  'None' },
        },
        {
            'T3EngineerGenericSingle',
            'EngineerBuildAI',
            { 'uel0309', 1, 1, 'support',  'None' },
        },
        # FACTORIES
        {
            'T1LandFactoryUpgrade',
            'UnitUpgradeAI',
            { 'ueb0101',1, 1, 'support',  'None' },
        },
        {
            'T1AirFactoryUpgrade',
            'UnitUpgradeAI',
            { 'ueb0102',1, 1, 'support',  'None' },
        },
        {
            'T1SeaFactoryUpgrade',
            'UnitUpgradeAI',
            { 'ueb0103',1, 1, 'support',  'None' },
        },
        {
            'T2LandFactoryUpgrade',
            'UnitUpgradeAI',
            { 'ueb0201',1, 1, 'support',  'None' },
        },
        {
            'T2AirFactoryUpgrade',
            'UnitUpgradeAI',
            { 'ueb0202',1, 1, 'support',  'None' },
        },
        {
            'T2SeaFactoryUpgrade',
            'UnitUpgradeAI',
            { 'ueb0203',1, 1, 'support',  'None' },
        },
        # MASS EXTRACTORS
        {
            'T1MassExtractorUpgrade',
            'UnitUpgradeAI',
            { 'ueb1103',1, 1, 'support',  'None' },
        },
        {
            'T2MassExtractorUpgrade',
            'UnitUpgradeAI',
            { 'ueb1202',1, 1, 'support',  'None' },
        },
        # RADAR
        {
            'T1RadarUpgrade',
            'UnitUpgradeAI',
            { 'ueb3101',1, 1, 'support',  'None' },
        },
        {
            'T2RadarUpgrade',
            'UnitUpgradeAI',
            { 'ueb3201',1, 1, 'support',  'None' },
        },
        # SONAR
        {
            'T1SonarUpgrade',
            'UnitUpgradeAI',
            { 'ueb3102',1, 1, 'support',  'None' },
        },
        {
            'T2SonarUpgrade',
            'UnitUpgradeAI',
            { 'ueb3202',1, 1, 'support',  'None' },
        },
        # MISC STRUCTURES
        {
            'T3Nuke',
            'NukeAI',
            { 'ueb2305',1, 1, 'attack',  'None' },
        },
        {
            'T3AntiNuke',
            'AntiNukeAI',
            { 'ueb4302',1, 1, 'attack',  'None' },
        },
        {
            'T2TacticalLauncher',
            'TacticalAI',
            { 'ueb2108', 1, 1, 'attack', 'None' },
        },
        {
            'T2ArtilleryStructure',
            'ArtilleryAI',
            { 'ueb2303', 1, 1, 'artillery', 'None' },
        },
        {
            'T3ArtilleryStructure',
            'ArtilleryAI',
            { 'ueb2302', 1, 1, 'artillery', 'None' },
        },
        {
            'T4ArtilleryStructure',
            'ArtilleryAI',
            { 'ueb2401', 1, 1, 'artillery', 'None' },
        },
        {
            'T2Shield',
            'UnitUpgradeAI',
            { 'ueb4202', 1, 1, 'support', 'None' },
        },
        {
            'T1MassFabricator', 
            'PauseAI',
            { 'ueb1104', 1, 1, 'support', 'None' },
        },
        {
            'T3MassFabricator', 
            'PauseAI',
            { 'ueb1303', 1, 1, 'support', 'None' },
        },

    },

    ###########################
    # Aeon Platoon Templates  #
    ###########################
    {       
        
        # AIR PLATOONS
        {
            # unit BP  min max class type formation name
            'T1AirScout1',  # template name
            'ScoutingAI',   # ai name
            { 'uaa0101', 1, 1, 'scout', 'GrowthFormation'}, 
        },
        {
            'T1AirBomber1',
            'HuntAI',
            { 'uaa0103', 2, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T1AirBomber2',
            'HuntAI',
            { 'uaa0103', -1, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T1AirFighter1',
            'PatrolBaseVectorsAI',
            { 'uaa0102', 2, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T1AirTransport1',
            'DisbandAI',
            { 'uaa0107', -1, 1, 'support', 'GrowthFormation'},
        },
        {
            'T2AirTransport1',
            'DisbandAI',
            { 'uaa0104', -1, 1, 'support', 'GrowthFormation'},
        },
        {
            'T2AirGunship1',
            'HuntAI',
            { 'uaa0203', 2, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T2AirTorpedoBomber1',
            'HuntAI',
            { 'uaa0204', 2, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T3AirScout1',
            'ScoutingAI',
            { 'uaa0302', 1, 1, 'scout', 'GrowthFormation'},
        },
        {
            'T3AirFighter1',
            'PatrolBaseVectorsAI',
            { 'uaa0303', 2, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T3AirBomber1',
            'HuntAI',
            { 'uaa0304', 2, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T3AirGunship1',
            'HuntAI',
            { 'uaa0304', 2, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T1AirBomber1',
            'HuntAI',
            { 'uaa0103', -1, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T2AirGunship2',
            'HuntAI',
            { 'uaa0203', -1, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T3AirBomber2',
            'HuntAI',
            { 'uaa0304', -1, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T3AirGunship2',
            'HuntAI',
            { 'uaa0304', -1, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T4ExperimentalAir',
            'StrikeForceAI',
            { 'uaa0310', 1, 1, 'attack', 'None'},
        },
        
        # LAND PLATOONS
        

        {
            'T1LandScout1',
            'ScoutingAI',
            { 'ual0101', 1, 1, 'scout', 'GrowthFormation'},
        },
        {
            'T1LandDFTank1',
            'PatrolBaseVectorsAI',
            { 'ual0201', 2, 10, 'attack', 'GrowthFormation'},
        },
        {
            'T1LandDFBot1',
            'PatrolBaseVectorsAI',
            { 'ual0106', 2, 10, 'attack', 'GrowthFormation'},
        },
        {
            'T1LandArtillery1',
            'PatrolBaseVectorsAI',
            { 'ual0103', 2, 7, 'attack', 'GrowthFormation'},
        },
        {
            'T1LandAA1',
            'PatrolBaseVectorsAI',
            { 'ual0104', 2, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T2LandArtillery1',
            'PatrolBaseVectorsAI',
            { 'ual0111', 1, 3, 'artillery', 'GrowthFormation'},
            { 'ual0307', 1, 1, 'artillery', 'GrowthFormation'},
        },
        {
            'T2LandDFTank1',
            'PatrolBaseVectorsAI',
            { 'ual0202', 1, 4, 'attack', 'GrowthFormation'},
        },
        {
            'T2LandAA1',
            'PatrolBaseVectorsAI',
            { 'ual0205', 1, 3, 'attack', 'GrowthFormation'},
        },
        {
            'T2LandAmphibious1',
            'PatrolBaseVectorsAI',
            { 'ual0201', 1, 6, 'attack', 'GrowthFormation'},
        },
        {
            'T3LandBot1',
            'PatrolBaseVectorsAI',
            { 'ual0303', 1, 3, 'attack', 'GrowthFormation'},
        },
        {
            'T3LandArtillery1',
            'PatrolBaseVectorsAI',
            { 'ual0304', 1, 2, 'artillery', 'GrowthFormation'},
            { 'ual0307', 1, 1, 'artillery', 'GrowthFormation'},
        },
        {
            'T1LandDFTank2',
            'PatrolBaseVectorsAI',
            { 'ual0201', -1, 10, 'attack', 'GrowthFormation'},
        },
        {
            'T1LandDFBot2',
            'PatrolBaseVectorsAI',
            { 'ual0106', -1, 10, 'attack', 'GrowthFormation'},
        },
        {
            'T1LandArtillery2',
            'PatrolBaseVectorsAI',
            { 'ual0103', -1, 7, 'Attack', 'GrowthFormation'},
        },
        {
            'T1LandAA2',
            'PatrolBaseVectorsAI',
            { 'ual0104', -1, 5, 'Attack', 'GrowthFormation'},
        },
        {
            'T2LandArtillery2',
            'PatrolBaseVectorsAI',
            { 'ual0111', -1, 3, 'artillery', 'GrowthFormation'},
            { 'ual0106', -1, 10, 'attack', 'GrowthFormation'},
            { 'ual0307', 1, 1, 'artillery', 'GrowthFormation'},
        },
        {
            'T2LandDFTank2',
            'PatrolBaseVectorsAI',
            { 'ual0202', -1, 4, 'attack', 'GrowthFormation'},
            { 'ual0106', -1, 10, 'attack', 'GrowthFormation'},
        },
        {
            'T2LandAA2',
            'PatrolBaseVectorsAI',
            { 'ual0205', -1, 3, 'attack', 'GrowthFormation'},
        },
        {
            'T2LandAmphibious2',
            'PatrolBaseVectorsAI',
            { 'ual0201', -1, 4, 'attack', 'GrowthFormation'},
        },
        {
            'T3LandBot2',
            'PatrolBaseVectorsAI',
            { 'ual0303', -1, 3, 'attack', 'GrowthFormation'},
            { 'ual0106', -1, 10, 'attack', 'GrowthFormation'},
        },
        {
            'T3LandArtillery2',
            'PatrolBaseVectorsAI',
            { 'ual0304', -1, 2, 'artillery', 'GrowthFormation'},
            { 'ual0106', -1, 10, 'attack', 'GrowthFormation'},
            { 'ual0307', 1, 1, 'artillery', 'GrowthFormation'},
        },
        {
            'T2MobileShield1',
            'PatrolBaseVectorsAI',
            { 'ual0307', 2, 2, 'support', 'GrowthFormation'},
        },
        {
            'T3LandSubCommander1',
            'HuntAI',
            { 'ual0301', 1, 1, 'support', 'None'},
        },
        {
            'T4ExperimentalLand1',
            'StrikeForceAI',
            { 'ual0401', 1, 1, 'attack', 'None'},
        },
        {
            'T4ExperimentalLand2',
            'StrikeForceAI',
            { 'ual0401', 1, 1, 'attack', 'None'},
        },
        # SEA PLATOONS
        {
            'T1SeaSub1',
            'NavalPatrolAI',
            { 'uas0203', -1, 3, 'attack', 'GrowthFormation'},
        },
        {
            'T1SeaFrigate1',
            'NavalPatrolAI',
            { 'uas0103', -1, 3, 'attack', 'GrowthFormation'},
        },
        {
            'T1SeaFrigate2',
            'NavalPatrolAI',
            { 'uas0102', -1, 3, 'attack', 'GrowthFormation'},
        },
        {
            'T2SeaDestroyer1',
            'NavalPatrolAI',
            { 'uas0201', -1, 2, 'attack', 'GrowthFormation'},
        },
        {
            'T2SeaCruiser1',
            'NavalPatrolAI',
            { 'uas0202', -1, 2, 'attack', 'GrowthFormation'},
        },
        {
            'T3SeaBattleship1',
            'NavalPatrolAI',
            { 'uas0302', -1, 1, 'attack', 'GrowthFormation'},
        },
        {
            'T3SeaNukeSub1',
            'NukeAI',
            { 'uas0304', -1, 1, 'attack', 'GrowthFormation'},
        },
        {
            'T3SeaCarrier1',
            'NavalPatrolAI',
            { 'uas0303', -1, 1, 'attack', 'GrowthFormation'},
        },
        {
            'T4ExperimentalSea',
            'NavalPatrolAI',
            { 'uas0401', 1, 1, 'attack', 'None'},
        },

        # ENGINEERS     
        {
            'CommanderBuilder',
            'EngineerBuildAI',
            { 'ual0001', 1, 1, 'support', 'None'},
        },   
        {
            'CommanderEnhance',
            'EnhanceAI',
            { 'ual0001', 1, 1, 'support', 'None'},
        },
        {
            'CommanderAssist',
            'EngineerAssistAI',
            { 'ual0001', 1, 1, 'support', 'None'},
        },
        {
            'EngineerAssist',
            'EngineerAssistAI',
            { 'ual0105', 1, 1, 'support',  'None' },
        },
        {
            'T2EngineerAssist',
            'EngineerAssistAI',
            { 'ual0208', 2, 2, 'support',  'None' },
        },
        {
            'T3EngineerAssist',
            'EngineerAssistAI',
            { 'ual0309', 3, 3, 'support',  'None' },
        },
        {
            'Engineer',
            'EngineerAI',
            { 'ual0105',3, 3, 'support',  'None' },
        },    
        {
            'T2Engineer',
            'EngineerAI',
            { 'ual0208',3, 3, 'support',  'None' },
        },  
        {
            'T3Engineer',
            'EngineerAI',
            { 'ual0309',3, 3, 'support',  'None' },
        },      
        {
            'EngineerOnlyBuild',
            'DisbandAI',
            { 'ual0105', 5, 5, 'support',  'None' },
        },
        {
            'T2EngineerOnlyBuild',
            'DisbandAI',
            { 'ual0208', 5, 5, 'support',  'None' },
        },
        {
            'T3EngineerOnlyBuild',
            'DisbandAI',
            { 'ual0309', 6, 6, 'support',  'None' },
        },
        {
            'T3EngineerOnlyBuild2',
            'DisbandAI',
            { 'ual0309', -1, 6, 'support',  'None' },
        },
        {
            'EngineerBuilder',
            'EngineerBuildAI',
            { 'ual0105',3, 3, 'support',  'None' },
        }, 
        {
            'T2EngineerBuilder',
            'EngineerBuildAI',
            { 'ual0208',3, 3, 'support',  'None' },
        },  
        {
            'T3EngineerBuilder',
            'EngineerBuildAI',
            { 'ual0309',3, 3, 'support',  'None' },
        },  
        {
            'T3EngineerBuilderBig',
            'EngineerBuildAI',
            { 'ual0309', 6, 6, 'support',  'None' },
        }, 
        {
            'EngineerGenericSingle',
            'EngineerBuildAI',
            { 'ual0105', 1, 1, 'support',  'None' },
        },
        {
            'T2EngineerGenericSingle',
            'EngineerBuildAI',
            { 'ual0208', 1, 1, 'support',  'None' },
        },
        {
            'T3EngineerGenericSingle',
            'EngineerBuildAI',
            { 'ual0309', 1, 1, 'support',  'None' },
        },
        # FACTORIES
        {
            'T1LandFactoryUpgrade',
            'UnitUpgradeAI',
            { 'uab0101',1, 1, 'support',  'None' },
        },
        {
            'T1AirFactoryUpgrade',
            'UnitUpgradeAI',
            { 'uab0102',1, 1, 'support',  'None' },
        },
        {
            'T1SeaFactoryUpgrade',
            'UnitUpgradeAI',
            { 'uab0103',1, 1, 'support',  'None' },
        },
        {
            'T2LandFactoryUpgrade',
            'UnitUpgradeAI',
            { 'uab0201',1, 1, 'support',  'None' },
        },
        {
            'T2AirFactoryUpgrade',
            'UnitUpgradeAI',
            { 'uab0202',1, 1, 'support',  'None' },
        },
        {
            'T2SeaFactoryUpgrade',
            'UnitUpgradeAI',
            { 'uab0203',1, 1, 'support',  'None' },
        },
        # MASS EXTRACTORS
        {
            'T1MassExtractorUpgrade',
            'UnitUpgradeAI',
            { 'uab1103',1, 1, 'support',  'None' },
        },
                {
            'T2MassExtractorUpgrade',
            'UnitUpgradeAI',
            { 'uab1202',1, 1, 'support',  'None' },
        },
        # RADAR
        {
            'T1RadarUpgrade',
            'UnitUpgradeAI',
            { 'uab3101',1, 1, 'support',  'None' },
        },
        {
            'T2RadarUpgrade',
            'UnitUpgradeAI',
            { 'uab3201',1, 1, 'support',  'None' },
        },
        # SONAR
        {
            'T1SonarUpgrade',
            'UnitUpgradeAI',
            { 'uab3102',1, 1, 'support',  'None' },
        },
        {
            'T2SonarUpgrade',
            'UnitUpgradeAI',
            { 'uab3202',1, 1, 'support',  'None' },
        },
        # MISC STRUCTURES
        {
            'T3Nuke',
            'NukeAI',
            { 'uab2305',1, 1, 'attack',  'None' },
        },
        {
            'T3AntiNuke',
            'AntiNukeAI',
            { 'uab4302',1, 1, 'attack',  'None' },
        },
        {
            'T2TacticalLauncher',
            'TacticalAI',
            { 'uab2108', 1, 1, 'attack', 'None' },
        },
        {
            'T2ArtilleryStructure',
            'ArtilleryAI',
            { 'uab2303', 1, 1, 'artillery', 'None' },
        },
        {
            'T3ArtilleryStructure',
            'ArtilleryAI',
            { 'uab2302', 1, 1, 'artillery', 'None' },
        },
        {
            'T4ArtilleryStructure',
            'ArtilleryAI',
            { 'uab2302', 1, 1, 'artillery', 'None' },
        },
        {
            'T2Shield',
            'DummyAI',
            { 'uab4202', 1, 1, 'attack', 'None' },
        },
        {
            'T1MassFabricator', 
            'PauseAI',
            { 'uab1104', 1, 1, 'support', 'None' },
        },
        {
            'T3MassFabricator', 
            'PauseAI',
            { 'uab1303', 1, 1, 'support', 'None' },
        },
        
    },

    ##############################
    # Cybran Platoon Templates #
    ##############################
     {       
        
        # AIR PLATOONS
        {
            # unit BP  min max class type formation name
            'T1AirScout1',  # template name
            'ScoutingAI',   # ai name
            { 'ura0101', 1, 1, 'scout', 'GrowthFormation'}, 
        },
        {
            'T1AirBomber1',
            'HuntAI',
            { 'ura0103', 2, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T1AirFighter1',
            'PatrolBaseVectorsAI',
            { 'ura0102', 2, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T1AirTransport1',
            'DisbandAI',
            { 'ura0107', -1, 1, 'support', 'GrowthFormation'},
        },
        {
            'T2AirTransport1',
            'DisbandAI',
            { 'ura0104', -1, 1, 'support', 'GrowthFormation'},
        },
        {
            'T2AirGunship1',
            'HuntAI',
            { 'ura0203', 2, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T2AirTorpedoBomber1',
            'HuntAI',
            { 'ura0204', 2, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T3AirScout1',
            'ScoutingAI',
            { 'ura0302', 1, 1, 'scout', 'GrowthFormation'},
        },
        {
            'T3AirFighter1',
            'PatrolBaseVectorsAI',
            { 'ura0303', 2, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T3AirBomber1',
            'HuntAI',
            { 'ura0304', 2, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T3AirGunship1',
            'HuntAI',
            { 'ura0304', 2, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T1AirBomber2',
            'HuntAI',
            { 'uea0103', -1, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T2AirGunship2',
            'HuntAI',
            { 'ura0203', -1, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T3AirBomber2',
            'HuntAI',
            { 'ura0304', -1, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T3AirGunship2',
            'HuntAI',
            { 'ura0304', -1, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T4ExperimentalAir',
            'StrikeForceAI',
            { 'ura0401', 1, 1, 'attack', 'None'},
        },

        # LAND PLATOONS
        {
            'T1LandScout1',
            'ScoutingAI',
            { 'url0101', 1, 1, 'scout', 'GrowthFormation'},
        },
        {
            'T1LandDFTank1',
            'PatrolBaseVectorsAI',
            { 'url0107', 2, 10, 'attack', 'GrowthFormation'},
        },
        {
            'T1LandDFBot1',
            'PatrolBaseVectorsAI',
            { 'url0106', 2, 10, 'attack', 'GrowthFormation'},
        },
        {
            'T1LandArtillery1',
            'PatrolBaseVectorsAI',
            { 'url0103', 2, 7, 'attack', 'GrowthFormation'},
        },
        {
            'T1LandAA1',
            'PatrolBaseVectorsAI',
            { 'url0104', 2, 5, 'attack', 'GrowthFormation'},
        },
        {
            'T2LandArtillery1',
            'PatrolBaseVectorsAI',
            { 'url0111', 1, 3, 'artillery', 'GrowthFormation'},
            { 'url0306', 1, 1, 'artillery', 'GrowthFormation'},
        },
        {
            'T2LandDFTank1',
            'PatrolBaseVectorsAI',
            { 'url0202', 1, 4, 'attack', 'GrowthFormation'},
        },
        {
            'T2LandAA1',
            'PatrolBaseVectorsAI',
            { 'url0205', 1, 3, 'attack', 'GrowthFormation'},
        },
        {
            'T2LandAmphibious1',
            'PatrolBaseVectorsAI',
            { 'url0203', 1, 4, 'attack', 'GrowthFormation'},
        },
        {
            'T3LandBot1',
            'PatrolBaseVectorsAI',
            { 'url0303', 1, 3, 'attack', 'GrowthFormation'},
        },
        {
            'T3LandArtillery1',
            'PatrolBaseVectorsAI',
            { 'url0304', 1, 2, 'artillery', 'GrowthFormation'},
            { 'url0306', 1, 1, 'artillery', 'GrowthFormation'},
        },
        {
            'T1LandDFTank2',
            'PatrolBaseVectorsAI',
            { 'url0107', -1, 10, 'attack', 'GrowthFormation'},
        },
        {
            'T1LandDFBot2',
            'PatrolBaseVectorsAI',
            { 'url0106', -1, 10, 'attack', 'GrowthFormation'},
        },
        {
            'T1LandArtillery2',
            'PatrolBaseVectorsAI',
            { 'url0103', -1, 7, 'Attack', 'GrowthFormation'},
        },
        {
            'T1LandAA2',
            'PatrolBaseVectorsAI',
            { 'url0104', -1, 5, 'Attack', 'GrowthFormation'},
        },
        {
            'T2LandArtillery2',
            'PatrolBaseVectorsAI',
            { 'url0111', -1, 3, 'artillery', 'GrowthFormation'},
            { 'url0106', -1, 10, 'attack', 'GrowthFormation'},
            { 'url0306', 1, 1, 'artillery', 'GrowthFormation'},
        },
        {
            'T2LandDFTank2',
            'PatrolBaseVectorsAI',
            { 'url0202', -1, 4, 'attack', 'GrowthFormation'},
            { 'url0106', -1, 10, 'attack', 'GrowthFormation'},
        },
        {
            'T2LandAA2',
            'PatrolBaseVectorsAI',
            { 'url0205', -1, 3, 'attack', 'GrowthFormation'},
        },
        {
            'T2LandAmphibious2',
            'PatrolBaseVectorsAI',
            { 'url0203', -1, 4, 'attack', 'GrowthFormation'},
        },
        {
            'T3LandBot2',
            'PatrolBaseVectorsAI',
            { 'url0303', -1, 3, 'attack', 'GrowthFormation'},
            { 'url0106', -1, 10, 'attack', 'GrowthFormation'},
        },
        {
            'T3LandArtillery2',
            'PatrolBaseVectorsAI',
            { 'url0304', -1, 2, 'artillery', 'GrowthFormation'},
            { 'ual0106', -1, 10, 'attack', 'GrowthFormation'},
            { 'url0306', 1, 1, 'artillery', 'GrowthFormation'},
        },
        {
            'T2MobileShield1',
            'PatrolBaseVectorsAI',
            { 'url0306', 2, 2, 'support', 'GrowthFormation'},
        },
        {
            'T3LandSubCommander1',
            'HuntAI',
            { 'url0301', 1, 1, 'support', 'None'},
        },
        {
            'T4ExperimentalLand1',
            'StrikeForceAI',
            { 'url0402', 1, 1, 'attack', 'None'},
        },
        {
            'T4ExperimentalLand2',
            'StrikeForceAI',
            { 'url0401', 1, 1, 'attack', 'None'},
        },
        
        # SEA PLATOONS
        {
            'T1SeaSub1',
            'NavalPatrolAI',
            { 'urs0203', -1, 3, 'attack', 'GrowthFormation'},
        },
        {
            'T1SeaFrigate1',
            'NavalPatrolAI',
            { 'urs0103', -1, 3, 'attack', 'GrowthFormation'},
        },
        {
            'T1SeaFrigate2',
            'NavalPatrolAI',
            { 'urs0103', -1, 3, 'attack', 'GrowthFormation'},
        },
        {
            'T2SeaDestroyer1',
            'NavalPatrolAI',
            { 'urs0201', -1, 2, 'attack', 'GrowthFormation'},
        },
        {
            'T2SeaCruiser1',
            'NavalPatrolAI',
            { 'urs0202', -1, 2, 'attack', 'GrowthFormation'},
        },
        {
            'T3SeaBattleship1',
            'NavalPatrolAI',
            { 'urs0302', -1, 1, 'attack', 'GrowthFormation'},
        },
        {
            'T3SeaNukeSub1',
            'NukeAI',
            { 'urs0304', -1, 1, 'attack', 'GrowthFormation'},
        },
        {
            'T3SeaCarrier1',
            'NavalPatrolAI',
            { 'urs0303', -1, 1, 'attack', 'GrowthFormation'},
        },
        {
            'T4ExperimentalSea',
            'NavalPatrolAI',
            { 'urs0302', -1, 1, 'attack', 'None'},
        },

        # ENGINEERS   
        {
            'CommanderBuilder',
            'EngineerBuildAI',
            { 'url0001', 1, 1, 'support', 'None'},
        },   
        {
            'CommanderEnhance',
            'EnhanceAI',
            { 'url0001', 1, 1, 'support', 'None'},
        },
        {
            'CommanderAssist',
            'EngineerAssistAI',
            { 'url0001', 1, 1, 'support', 'None'},
        },  
        {
            'EngineerAssist',
            'EngineerAssistAI',
            { 'url0105', 1, 1, 'support',  'None' },
        },
        {
            'T2EngineerAssist',
            'EngineerAssistAI',
            { 'url0208', 2, 2, 'support',  'None' },
        },
        {
            'T3EngineerAssist',
            'EngineerAssistAI',
            { 'url0309', 3, 3, 'support',  'None' },
        },
        {
            'Engineer',
            'EngineerAI',
            { 'url0105',3, 3, 'support',  'None' },
        },    
        {
            'T2Engineer',
            'EngineerAI',
            { 'url0208',3, 3, 'support',  'None' },
        },  
        {
            'T3Engineer',
            'EngineerAI',
            { 'url0309',3, 3, 'support',  'None' },
        },      
        {
            'EngineerOnlyBuild',
            'DisbandAI',
            { 'url0105', 5, 5, 'support',  'None' },
        },
        {
            'T2EngineerOnlyBuild',
            'DisbandAI',
            { 'url0208', 5, 5, 'support',  'None' },
        },
        {
            'T3EngineerOnlyBuild',
            'DisbandAI',
            { 'url0309', 6, 6, 'support',  'None' },
        },
        {
            'T3EngineerOnlyBuild2',
            'DisbandAI',
            { 'url0309', -1, 6, 'support',  'None' },
        },
        {
            'EngineerBuilder',
            'EngineerBuildAI',
            { 'url0105',3, 3, 'support',  'None' },
        }, 
        {
            'T2EngineerBuilder',
            'EngineerBuildAI',
            { 'url0208',3, 3, 'support',  'None' },
        },  
        {
            'T3EngineerBuilder',
            'EngineerBuildAI',
            { 'url0309',3, 3, 'support',  'None' },
        }, 
        {
            'T3EngineerBuilderBig',
            'EngineerBuildAI',
            { 'url0309', 6, 6, 'support',  'None' },
        }, 
        {
            'EngineerGenericSingle',
            'EngineerBuildAI',
            { 'url0105', 1, 1, 'support',  'None' },
        },
        {
            'T2EngineerGenericSingle',
            'EngineerBuildAI',
            { 'url0208', 1, 1, 'support',  'None' },
        },
        {
            'T3EngineerGenericSingle',
            'EngineerBuildAI',
            { 'url0309', 1, 1, 'support',  'None' },
        },
        # FACTORIES
        {
            'T1LandFactoryUpgrade',
            'UnitUpgradeAI',
            { 'urb0101',1, 1, 'support',  'None' },
        },
        {
            'T1AirFactoryUpgrade',
            'UnitUpgradeAI',
            { 'urb0102',1, 1, 'support',  'None' },
        },
        {
            'T1SeaFactoryUpgrade',
            'UnitUpgradeAI',
            { 'urb0103',1, 1, 'support',  'None' },
        },
        {
            'T2LandFactoryUpgrade',
            'UnitUpgradeAI',
            { 'urb0201',1, 1, 'support',  'None' },
        },
        {
            'T2AirFactoryUpgrade',
            'UnitUpgradeAI',
            { 'urb0202',1, 1, 'support',  'None' },
        },
        {
            'T2SeaFactoryUpgrade',
            'UnitUpgradeAI',
            { 'urb0203',1, 1, 'support',  'None' },
        },
        # MASS EXTRACTORS
        {
            'T1MassExtractorUpgrade',
            'UnitUpgradeAI',
            { 'urb1103',1, 1, 'support',  'None' },
        },
        {
            'T2MassExtractorUpgrade',
            'UnitUpgradeAI',
            { 'urb1202',1, 1, 'support',  'None' },
        },

        # RADAR
        {
            'T1RadarUpgrade',
            'UnitUpgradeAI',
            { 'urb3101',1, 1, 'support',  'None' },
        },
        {
            'T2RadarUpgrade',
            'UnitUpgradeAI',
            { 'urb3201',1, 1, 'support',  'None' },
        },
        # SONAR
        {
            'T1SonarUpgrade',
            'UnitUpgradeAI',
            { 'ueb3102',1, 1, 'support',  'None' },
        },
        {
            'T2SonarUpgrade',
            'UnitUpgradeAI',
            { 'ueb3202',1, 1, 'support',  'None' },
        },
        # MISC STRUCTURES
        {
            'T3Nuke',
            'NukeAI',
            { 'urb2305',1, 1, 'attack',  'None' },
        },
        {
            'T3AntiNuke',
            'AntiNukeAI',
            { 'urb4302',1, 1, 'attack',  'None' },
        },
        {
            'T2TacticalLauncher',
            'TacticalAI',
            { 'urb2108', 1, 1, 'attack', 'None' },
        },
        {
            'T2ArtilleryStructure',
            'ArtilleryAI',
            { 'urb2303', 1, 1, 'artillery', 'None' },
        },
        {
            'T3ArtilleryStructure',
            'ArtilleryAI',
            { 'urb2302', 1, 1, 'artillery', 'None' },
        },
        {
            'T4ArtilleryStructure',
            'ArtilleryAI',
            { 'urb2302', 1, 1, 'artillery', 'None' },
        },
        {
            'T2Shield',
            'EnhanceAI',
            { 'urb4202', 1, 1, 'attack', 'None' },
        },
        {
            'T1MassFabricator', 
            'PauseAI',
            { 'urb1104', 1, 1, 'support', 'None' },
        },
        {
            'T3MassFabricator', 
            'PauseAI',
            { 'urb1303', 1, 1, 'support', 'None' },
        },
    },
}

function PlatoonTemplateFindIndex( faction, name )
    for i, u in PlatoonTemplates[faction] do
        if name == u[1] then
            return i
        end    
    end
    LOG('===== AI DEBUG: Error Matching template name ', name, 'in template for faction ', faction, '=====')
    return 1
end


