###
### Params for rendering weapon and intel ranges
###     CircleWidth : Base circle thickness, gets scaled by range
###     NumSegments : How many segments to draw the circle in (divided by 10)
###     AlphaScale : Scale the alpha based on radius and pixel LOD metric
###     MaxAlphaNonSelected : The max alpha to draw with for unselected units
###
RangeOverlayParams = {
    AlphaScale = 0.01,
    MaxAlphaNonSelected = 128,
    NumSegments = 90,

    WeaponMaxRange = {
        LineColor = '00d80000',
        BaseLineWidth = 0.25,
        Texture = '/textures/ui/common/filter/filter_military.dds',
    },
    WeaponMinRange = {
        LineColor = '00d87f00',
        BaseLineWidth = 0.25,
        Texture = '/textures/ui/common/filter/filter_military-dashed.dds',
    },
    CounterWeaponRange = {
        LineColor = '00d80000',
        BaseLineWidth = 0.25,
        Texture = '/textures/ui/common/filter/filter_defense-dashed.dds',
    },
    RadarRange = {
        LineColor = '000000d8',
        BaseLineWidth = 0.25,
        Texture = '/textures/ui/common/filter/filter_intel.dds',
    },
    SonarRange = {
        LineColor = '0000a3d8',
        BaseLineWidth = 0.25,
        Texture = '/textures/ui/common/filter/filter_intel.dds',
    },
    OmniRange = {
        LineColor = '00d8d800',
        BaseLineWidth = 0.25,
        Texture = '/textures/ui/common/filter/filter_intel.dds',
    },
    CounterIntelRange = {
        LineColor = '000000d8',
        BaseLineWidth = 0.25,
        Texture = '/textures/ui/common/filter/filter_intel-dashed.dds',
    },
    ShieldRange = {
        LineColor = '00d800d8',
        BaseLineWidth = 0.25,
        Texture = '/textures/ui/common/filter/filter_defense.dds',
    },
}
