--*****************************************************************************
--* File: lua/modules/ui/game/trackingindicator.lua
--* Summary: In Game Tracking indicator
--*
--* Copyright  2006 Gas Powered Games, Inc.  All rights reserved.
--*****************************************************************************

local UIUtil = import('/lua/modules/ui/uiutil.lua')
local Group = import('/lua/modules/maui/group.lua').Group
local Bitmap = import('/lua/modules/maui/Bitmap.lua').Bitmap
local Text = import('/lua/modules/maui/text.lua').Text
local LayoutHelpers = import('/lua/modules/maui/layouthelpers.lua')

local indicatorBG = nil
local showBool = true

function SetTrackingIndicator(tracking)
    if not tracking then
        if indicatorBG then
            indicatorBG:Destroy()
            indicatorBG = nil
        end
    else
        if not indicatorBG then
            local worldView = import('/lua/modules/ui/game/borders.lua').GetMapGroup()
            indicatorBG = Bitmap(worldView)
            indicatorBG:SetSolidColor("c0000000")
            indicatorBG.Width:Set(100)
            indicatorBG.Height:Set(28)
            indicatorBG.Top:Set(function() return worldView.Top() + 20 end)
            LayoutHelpers.AtHorizontalCenterIn(indicatorBG, worldView)

            local indicator = UIUtil.CreateText(indicatorBG, "<LOC TRACKING_0000>Tracking", 20, UIUtil.bodyFont)

            LayoutHelpers.AtHorizontalCenterIn(indicator, indicatorBG)
            indicator.Top:Set(function() return indicatorBG.Top() + 2 end)
            indicator.Depth:Set(function() return indicatorBG.Depth() + 5 end)
        end
    end
end
function OnTrackUnit(camera,tracking)
    if showBool then
        if camera == "WorldCamera" then
                SetTrackingIndicator(tracking)
        end
    end
end

function Contract()
    showBool = false
end

function Expand()
    showBool = true
end