#****************************************************************************
#**  File     :  lua/modules/ui/help/tooltips.lua
#**  Author(s):  Ted Snook
#**
#**  Summary  :  Strings and images for the tooltips System
#**
#**  Copyright  2006 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************
 
Tooltips = {    
    #*******************
    #** Orders Strings
    #*******************
    move = {
        title = "<LOC tooltipui0000>Move",
        description = "",
        image = "",
        keyID = "move",
    },
    attack = {
        title = "<LOC tooltipui0002>Attack",
        description = "",
        image = "",
        keyID = "attack",
    },
    patrol = {
        title = "<LOC tooltipui0004>Patrol",
        description = "",
        image = "",
        keyID = "patrol",
    },
    stop = {
        title = "<LOC tooltipui0006>Stop",
        description = "",
        image = "",
        keyID = "stop",
    },
    assist = {
        title = "<LOC tooltipui0008>Assist",
        description = "",
        image = "",
        keyID = "assist",
    },    
    mode_hold = {
        title = "<LOC tooltipui0299>Hold Fire",
        description = "<LOC tooltipui0300>In this mode, units will not fire at enemies.",
        image = "",
    },
    mode_aggressive = {
        title = "<LOC tooltipui0301>Aggressive",
        description = "<LOC tooltipui0302>Units will actively return fire and pursue enemies.",
        image = "",
    },
    mode_return_fire = {
        title = "<LOC tooltipui0303>Return Fire",
        description = "<LOC tooltipui0304>Units will return fire but not pursue.",
        image = "",
    },
    mode_mixed = {
        title = "<LOC tooltipui0305>Mixed Modes",
        description = "<LOC tooltipui0306>You have selected units that have multiple fire states.",
        image = "",
    },
    mode_hold = {
        title = "<LOC tooltipui0299>Hold Fire",
        description = "<LOC tooltipui0300>In this mode, units will not fire at enemies.",
        image = "",
    },
    mode_aggressive = {
        title = "<LOC tooltipui0301>Aggressive",
        description = "<LOC tooltipui0302>Units will actively return fire and pursue enemies.",
        image = "",
    },
    mode_return_fire = {
        title = "<LOC tooltipui0303>Return Fire",
        description = "<LOC tooltipui0304>Units will return fire but not pursue.",
        image = "",
    },
    mode_mixed = {
        title = "<LOC tooltipui0305>Mixed Modes",
        description = "<LOC tooltipui0306>You have selected units that have multiple fire states.",
        image = "",
    },
    build_tactical = {
        title = "<LOC tooltipui0012>Build Missile",
        description = "<LOC tooltipui0013>Right-click to Auto-Build",
        image = "",
    },
    build_nuke = {
        title = "<LOC tooltipui0014>Build Missile",
        description = "<LOC tooltipui0015>Right-click to Auto-Build",
        image = "",
    },
    overcharge = {
        title = "<LOC tooltipui0016>Overcharge",
        description = "",
        image = "",
        keyID = "overcharge",
    },
    transport = {
        title = "<LOC tooltipui0018>Transport",
        description = "",
        image = "",
        keyID = "overcharge",
    },
    fire_nuke = {
        title = "<LOC tooltipui0020>Launch",
        description = "",
        image = "",
    },
    fire_tactical = {
        title = "<LOC tooltipui0022>Launch",
        description = "",
        image = "",
        keyID = "launch_tactical",
    },
    teleport = {
        title = "<LOC tooltipui0024>Teleport",
        description = "",
        image = "",
        keyID = "teleport",
    },
    ferry = {
        title = "<LOC tooltipui0026>Ferry",
        description = "",
        image = "",
        keyID = "ferry",
    },
    sacrifice = {
        title = "<LOC tooltipui0028>Sacrifice",
        description = "",
        image = "",
    },
    dive = {
        title = "<LOC tooltipui0030>Dive Toggle",
        description = "",
        image = "",
        keyID = "dive",
    },
    reclaim = {
        title = "<LOC tooltipui0032>Reclaim",
        description = "",
        image = "",
        keyID = "reclaim",
    },
    capture = {
        title = "<LOC tooltipui0034>Capture",
        description = "",
        image = "",
        keyID = "capture",
    },
    repair = {
        title = "<LOC tooltipui0036>Repair",
        description = "",
        image = "",
        keyID = "repair",
    },
    pause = {
        title = "<LOC tooltipui0038>Pause Construction Toggle",
        description = "",
        image = "",
        keyID = "pause_unit",
    },
    toggle_shield = {
        title = "<LOC tooltipui0040>Shield Toggle",
        description = "",
        image = "",
    },
    toggle_jamming = {
        title = "<LOC tooltipui0044>Radar Jamming Toggle",
        description = "",
        image = "",
    },
    toggle_intel = {
        title = "<LOC tooltipui0046>Intel Toggle",
        description = "",
        image = "",
    },
    toggle_production = {
        title = "<LOC tooltipui0048>Production Toggle",
        description = "",
        image = "",
    },
    toggle_stealth = {
        title = "<LOC tooltipui0052>Radar Stealth Field Toggle",
        description = "",
        image = "",
    },
    toggle_generic = {
        title = "<LOC tooltipui0053>Pause Toggle",
        description = "",
        image = "",
    },
    toggle_special = {
        title = "<LOC tooltipui0054>Fire Black Sun",
        description = "",
        image = "",
    },
    first_helptip = {
        title = "<LOC tooltipui0307>Help Tips",
        description = "Click on the question mark icon to view detailed suggestions on how to play Supreme Commander",
        image = "",
    },
    
    #**********************
    #** Economy Strings
    #**********************
    rate = {
        title = "<LOC tooltipui0099>Economic Rate",
        description = "<LOC tooltipui0100>Click to toggle between Total Income or an Efficiency Rating",
        image = "",
    },
    storage = {
        title = "<LOC tooltipui0101>Resource Storage",
        description = "<LOC tooltipui0102>Current Resource Amount",
        image = "",
    },
    extended_display = {
        title = "<LOC tooltipui0103>Expanded Display",
        description = "<LOC tooltipui0104>Click to View Income (Green) and Output (Red)",
        image = "",
    },
    overall = {
        title = "<LOC tooltipui0129>Build Efficiency",
        description = "<LOC tooltipui0130>Your overall Economic Efficiency",
        image = "",
    },
    
    
    #**********************
    #** Options Strings
    #**********************
    options_wheel_sensitivity = {
        title = "<LOC OPTIONS_0001>Zoom Wheel Sensitivity",
        description = "<LOC OPTIONS_0035>Sets the Zoom Speed when using the Mouse Wheel",
        image = "",
    },
    options_help_prompts = {
        title = "<LOC OPTIONS_0002>Help Prompts",
        description = "<LOC OPTIONS_0036>Toggles display of In-game Help and Tutorial Prompts",
        image = "",
    },
    options_reset_help_prompts = {
        title = "<LOC OPTIONS_0080>Reset Help Prompts",
        description = "<LOC OPTIONS_0081>Sets all In-game Help Prompts as unread",
        image = "",
    },
     options_stratview = {
        title = "<LOC OPTIONS_0113>Strategic View",
        description = "<LOC OPTIONS_0114>Sets whether or not the mini-map is automatically on or off",
        image = "",
    },
      options_strat_icons_always_on = {
        title = "<LOC OPTIONS_0115>Always Render Strategic Icons",
        description = "<LOC OPTIONS_0116>Strategic icons are always shown, regardless of zoom distance",
        image = "",
    },
      options_uvd_format = {
        title = "<LOC OPTIONS_0117>Construction Popup Format",
        description = "<LOC OPTIONS_0118>Shows full, partial or no description when the unit icon is moused over",
        image = "",
    },
     options_mp_taunt_head = {
        title = "<LOC OPTIONS_0119>MP Taunt Head",
        description = "<LOC OPTIONS_0120>Select which 3D head is displayed when taunts are used in multiplayer",
        image = "",
    },
         options_mp_taunt_head_enabled = {
        title = "<LOC OPTIONS_0121>MP Taunts",
        description = "<LOC OPTIONS_0122>Turns taunts on and off in multiplayer",
        image = "",
    },
    options_dual_mon_edge = {
        title = "<LOC OPTIONS_0003>Dual Monitor Screen Edge",
        description = "<LOC OPTIONS_0037>Toggles the Edge between 2 Monitors as blocking Mouse Movement or allowing a Cursor Transition",
        image = "",
    },
    options_tooltips = {
        title = "<LOC OPTIONS_0005>Display Tooltips",
        description = "<LOC OPTIONS_0039>Toggles whether or not Tooltips are displayed",
        image = "",
    },
    options_tooltip_delay = {
        title = "<LOC OPTIONS_0078>Tooltip Delay",
        description = "<LOC OPTIONS_0079>Sets the Delay before Tooltips are displayed",
        image = "",
    },
    options_econ_warnings = {
        title = "<LOC OPTIONS_0076>Economy Warnings",
        description = "<LOC OPTIONS_0077>Shows automatic alerts when the economy is performing poorly",
        image = "",
    },
    options_ui_animation = {
        title = "<LOC OPTIONS_0062>UI Animation",
        description = "<LOC OPTIONS_0063>Toggles whether or not Interface Animations are shown",
        image = "",
    },
    options_primary_adapter = {
        title = "<LOC OPTIONS_0010>Primary Adapter",
        description = "<LOC OPTIONS_0045>Sets the Resolution or Display Mode for the Primary Monitor (1024x768 = fastest)",
        image = "",
    },
    options_secondary_adapter = {
        title = "<LOC OPTIONS_0071>Secondary Adapter",
        description = "<LOC OPTIONS_0072>Sets the Resolution or Display mode for the Secondary Monitor (disabled = fastest)",
        image = "",
    },
    options_bg_image = {
        title = "<LOC OPTIONS_0017>Background Image",
        description = "<LOC OPTIONS_0048>Toggles display of the Image under the World Map (off = fastest)",
        image = "",
    },
    options_silhouettes = {
        title = "<LOC OPTIONS_0025>Unit Silhouettes",
        description = "<LOC OPTIONS_0057>Toggles display of Units blocked by Structures (off = fastest)",
        image = "",
    },
    options_fidelity = {
        title = "<LOC OPTIONS_0018>Fidelity",
        description = "<LOC OPTIONS_0049>Sets Rendering Quality for Objects, Terrain, and Water (low = fastest)",
        image = "",
    },
    options_shadow_quality = {
        title = "<LOC OPTIONS_0024>Shadow Fidelity",
        description = "<LOC OPTIONS_0056>Sets Rendering Quality for Shadows (off = fastest)",
        image = "",
    },
    options_shadowblur = {
        title = "<LOC OPTIONS_0068>Shadow Blur",
        description = "<LOC OPTIONS_0069>Toggles the Blurring of Terrain Shadows (off = fastest)",
        image = "",
    },
    options_antialiasing = {
        title = "<LOC OPTIONS_0015>Anti-Aliasing",
        description = "<LOC OPTIONS_0050>Toggles Full Scene Anti-Aliasing (off = fastest)",
        image = "",
    },
    options_texture_level = {
        title = "<LOC OPTIONS_0019>Skip Mip Levels",
        description = "<LOC OPTIONS_0051>Sets the number of Mip Levels that are not Rendered (2 = fastest)",
        image = "",
    },
    options_decals = {
        title = "<LOC OPTIONS_0022>Decals",
        description = "<LOC OPTIONS_0054>Toggles display of Terrain Decals (off = fastest)",
        image = "",
    },
    options_terrain_tesselation = {
        title = "<LOC OPTIONS_0021>Terrain Tesselation",
        description = "<LOC OPTIONS_0053>Sets the Error Tolerance of Terrain Sampling (lower = faster)",
        image = "",
    },
    options_lod_scaling_factor = {
        title = "<LOC OPTIONS_0020>LoD Scale",
        description = "<LOC OPTIONS_0052>Sets the Detail Level of the Terrain Polygons (low = fastest)",
        image = "",
    },
    options_master_volume = {
        title = "<LOC OPTIONS_0028>Master Volume",
        description = "<LOC OPTIONS_0061>Sets the Game's overall Volume Level",
        image = "",
    },
    options_fx_volume = {
        title = "<LOC OPTIONS_0026>FX Volume",
        description = "<LOC OPTIONS_0059>Sets the Volume of the Game Sound Effects",
        image = "",
    },
    options_music_volume = {
        title = "<LOC OPTIONS_0027>Music Volume",
        description = "<LOC OPTIONS_0060>Sets the Volume of the Game Music",
        image = "",
    },
    options_ui_volume = {
        title = "<LOC OPTIONS_0064>Interface Volume",
        description = "<LOC OPTIONS_0065>Sets the Volume of all Interface Sounds",
        image = "",
    },
    options_vo_volume = {
        title = "<LOC OPTIONS_0066>VO Volume",
        description = "<LOC OPTIONS_0067>Sets the Volume of all Voice and Movie Sounds",
        image = "",
    },
    options_credits = {
        title = "<LOC OPTIONS_0073>Credits",
        description = "<LOC OPTIONS_0074>View the Game Credits",
        image = "",
    },
    options_eula = {
        title = "<LOC OPTIONS_0086>EULA",
        description = "<LOC OPTIONS_0087>View the End-User License Agreement",
        image = "",
    },
    options_show_help_prompts_now = {
        title = "<LOC OPTIONS_0083>Show Help Now",
        description = "<LOC OPTIONS_0084>View Help Prompts",
        image = "",
    },
    
    
    #**********************
    #** Lobby Strings
    #**********************
    Lobby_Advanced = {
        title = "<LOC tooltipui0167>Advanced Options",
        description = "<LOC tooltipui0168>Sets Advanced Options for this Map",
        image = "",
    },
    Lobby_Ready = {
        title = "<LOC tooltipui0291>Ready",
        description = "<LOC tooltipui0292>Click here when Ready to play",
        image = "",
    },
    Lobby_Mods = {
        title = "<LOC tooltipui0169>Mod Manager",
        description = "<LOC tooltipui0170>View, enable and disable all available Mods",
        image = "",
    },
    Lobby_Load = {
        title = "<LOC tooltipui0171>Load",
        description = "<LOC tooltipui0172>Load a previously saved Multiplayer Map",
        image = "",
    },
    Lobby_Launch = {
        title = "<LOC tooltipui0173>Launch Game",
        description = "<LOC tooltipui0174>Launch the Game with the Current Settings",
        image = "",
    },
    Lobby_Back = {
        title = "<LOC tooltipui0175>Back",
        description = "<LOC tooltipui0176>Go Back to the Main Menu",
        image = "",
    },
    Lobby_Add_AI = {
        title = "<LOC tooltipui0177>Add AI",
        description = "<LOC tooltipui0178>Click here to Add an AI Player",
        image = "",
    },
    Lobby_Del_AI = {
        title = "<LOC tooltipui0179>Delete AI",
        description = "<LOC tooltipui0180>Click here to Delete this AI Player",
        image = "",
    },
    Lobby_Kick = {
        title = "<LOC tooltipui0181>Kick",
        description = "<LOC tooltipui0182>Click here to Eject this Player from the Game",
        image = "",
    },
    Lobby_Team_Spawn = {
        title = "<LOC tooltipui0105>Spawn Randomization",
        description = "<LOC tooltipui0106>Determines if the Spawns are Predetermined or Random",
        image = "",
    },
    Lobby_Gen_ShareResources = {
        title = "<LOC tooltipui0107>Share Resources",
        description = "<LOC tooltipui0108>Determines whether Alliances share Resources with each other",
        image = "",
    },
    Lobby_Gen_ShareUnits = {
        title = "<LOC tooltipui0109>Share Units",
        description = "<LOC tooltipui0110>Specifies how much control Teams have over each other's Units",
        image = "",
    },
    Lobby_Gen_Deployment = {
        title = "<LOC tooltipui0111>Deployment",
        description = "<LOC tooltipui0112>Determines your Starting Forces",
        image = "",
    },
    Lobby_Gen_Victory = {
        title = "<LOC tooltipui0113>Victory Conditions",
        description = "<LOC tooltipui0114>Sets Victory Conditions: Assassination = ACU Death. Supremacy = All offensive Units and Structures dead. Annihilation = All Units and Structures dead",
        image = "",
    },
    Lobby_Gen_Fog = {
        title = "<LOC tooltipui0115>Fog of War",
        description = "<LOC tooltipui0116>Unexplored = Map is not visible, no visibility until you have Recon. Explored = Map visible, but Enemies are not until you have Recon. None = no Fog, Map and all Enemies visible",
        image = "",
    },
    Lobby_Gen_Cap = {
        title = "<LOC tooltipui0117>Unit Cap",
        description = "<LOC tooltipui0118>Determines the Unit cap PER ARMY",
        image = "",
    },
    Lobby_Team_Lock = {
        title = "<LOC tooltipui0119>Lock Teams",
        description = "<LOC tooltipui0120>Toggles locked Teams On and Off",
        image = "",
    },
    lob_slot = {
        title = "<LOC tooltipui0121>Player Slot",
        description = "<LOC tooltipui0122>Context sensitive menu which allows you to modify the player or AI for a given slot",
        image = "",
    },
    lob_color = {
        title = "<LOC tooltipui0123>Color",
        description = "<LOC tooltipui0124>Choose your Team Color",
        image = "",
    },
    lob_faction = {
        title = "<LOC tooltipui0125>Faction",
        description = "<LOC tooltipui0126>Choose your Team Faction",
        image = "",
    },
    lob_team = {
        title = "<LOC tooltipui0127>Team",
        description = "<LOC tooltipui0128>Players with the same Team will start off Allied with each other",
        image = "",
    },
    lob_select_map = {
        title = "<LOC tooltipui0332>Select Map",
        description = "<LOC tooltipui0333>Open the map selection dialog to choose a map to play",
        image = "",
    },
    
    #**********************
    #** Profile Strings
    #**********************
    Profile_name = {
        title = "<LOC tooltipui0183>Name",
        description = "<LOC tooltipui0184>The Name of this Profile",
        image = "",
    },
    Profile_create = {
        title = "<LOC tooltipui0185>Create",
        description = "<LOC tooltipui0186>Generates a Profile from the currently entered Name",
        image = "",
    },
    Profile_cancel = {
        title = "<LOC tooltipui0187>Cancel",
        description = "<LOC tooltipui0188>Exit this screen without changing Profiles",
        image = "",
    },
    Profile_delete = {
        title = "<LOC tooltipui0189>Delete",
        description = "<LOC tooltipui0190>Delete the Selected Profile",
        image = "",
    },
    Profile_ok = {
        title = "<LOC tooltipui0191>Ok",
        description = "<LOC tooltipui0192>Continue with the Selected Profile",
        image = "",
    },
    Profile_profilelist = {
        title = "<LOC tooltipui0193>Profile List",
        description = "<LOC tooltipui0194>All saved Profiles",
        image = "",
    },
    
    #**********************
    #** Options Strings
    #**********************
    exit_menu = {
        title = "<LOC tooltipui0056>Menu",
        description = "<LOC tooltipui0057>Opens the Menu",
        image = "",
        keyID = "escape",
    },
    objectives = {
        title = "<LOC tooltipui0058>Objectives",
        description = "<LOC tooltipui0059>Shows all Objectives",
        image = "",
        keyID = "toggle_objective_screen",
    },
    inbox = {
        title = "<LOC tooltipui0060>Transmission Log",
        description = "<LOC tooltipui0061>Shows all Received Transmissions",
        image = "",
        keyID = "toggle_transmission_screen",
    },
    score = {
        title = "<LOC tooltipui0062>Score",
        description = "<LOC tooltipui0063>Shows the current Score for all Factions",
        image = "",
        keyID = "toggle_score_screen",
    },
    diplomacy = {
        title = "<LOC tooltipui0064>Diplomacy",
        description = "<LOC tooltipui0065>Opens the Diplomacy Window",
        image = "",
        keyID = "toggle_diplomacy_screen",
    },
    options_Pause = {
        title = "<LOC tooltipui0066>Pause",
        description = "<LOC tooltipui0067>Pauses the Game",
        image = "",
    },
    options_Play = {
        title = "<LOC tooltipui0098>Play",
        description = "<LOC tooltipui0067>Resumes the Game",
        image = "",
    },
    
    #**********************
    #** Construction Manager
    #**********************
    tech_level_1_cons_tab = {
        title = "<LOC tooltipui0068>Tech Level 1",
        description = "<LOC tooltipui0069>Shows all available Tech 1 Units",
        image = "",
    },
    tech_level_2_cons_tab = {
        title = "<LOC tooltipui0070>Tech Level 2",
        description = "<LOC tooltipui0071>Shows all available Tech 2 Units",
        image = "",
    },
    tech_level_3_cons_tab = {
        title = "<LOC tooltipui0072>Tech Level 3",
        description = "<LOC tooltipui0073>Shows all available Tech 3 Units",
        image = "",
    },
    tech_level_4_cons_tab = {
        title = "<LOC tooltipui0074>Experimental Units",
        description = "<LOC tooltipui0075>Shows all available Experimental Units",
        image = "",
    },
    tech_level_1_cons_tab_dis = {
        title = "<LOC tooltipui0308>Tech Level 1",
        description = "<LOC tooltipui0309>Shows all available Tech 1 Units",
        image = "",
    },
    tech_level_2_cons_tab_dis = {
        title = "<LOC tooltipui0310>Tech Level 2",
        description = "<LOC tooltipui0311>You must upgrade your factory in order to access the buildings on this tab.",
        image = "",
    },
    tech_level_3_cons_tab_dis = {
        title = "<LOC tooltipui0312>Tech Level 3",
        description = "<LOC tooltipui0313>You must upgrade your factory in order to access the buildings on this tab.",
        image = "",
    },
    tech_level_4_cons_tab_dis = {
        title = "<LOC tooltipui0314>Experimental Units",
        description = "<LOC tooltipui0315>You must have a t3 engineer selected in order to access the unit on this tab.",
        image = "",
    },
    enhance = {
        title = "<LOC tooltipui0131>Enhancements",
        description = "<LOC tooltipui0132>Shows all available ACU Enhancements",
        image = "",
    },
    
    #**********************
    #** In Game Replay Manager
    #**********************
    esc_save = {
        title = "<LOC tooltipui0277>Save Menu",
        description = "<LOC tooltipui0278>Save your Current Game",
        image = "",
    },
    esc_resume = {
        title = "<LOC tooltipui0279>Resume",
        description = "<LOC tooltipui0280>Resume your Current Game",
        image = "",
    },
    esc_quit = {
        title = "<LOC tooltipui0281>Quit Current Game",
        description = "<LOC tooltipui0282>Exit to the Main Menu",
        image = "",
    },
    esc_restart = {
        title = "<LOC tooltipui0283>Restart",
        description = "<LOC tooltipui0284>Restart this Game",
        image = "",
    },
    esc_exit = {
        title = "<LOC tooltipui0285>Exit",
        description = "<LOC tooltipui0286>Exit Supreme Commander",
        image = "",
    },
    esc_options = {
        title = "<LOC tooltipui0287>Options Menu",
        description = "<LOC tooltipui0288>Display the Options Menu",
        image = "",
    },
    esc_conn = {
        title = "<LOC tooltipui0293>Connectivity Menu",
        description = "<LOC tooltipui0294>Display the Connectivity Menu",
        image = "",
    },
    
    #**********************
    #** In Game Replay Manager
    #**********************
    replay_pause = {
        title = "<LOC tooltipui0195>Pause",
        description = "<LOC tooltipui0196>Pause or Play the Replay",
        image = "",
    },
    replay_speed = {
        title = "<LOC tooltipui0197>Game Speed",
        description = "<LOC tooltipui0198>Sets the Replay Speed",
        image = "",
    },
    replay_team = {
        title = "<LOC tooltipui0199>Team Focus",
        description = "<LOC tooltipui0200>Select which Army to focus on",
        image = "",
    },
    replay_progress = {
        title = "<LOC tooltipui0201>Progress",
        description = "<LOC tooltipui0202>Indicates your Position in the Replay",
        image = "",
    },
    replay_restart = {
        title = "<LOC tooltipui0203>Restart",
        description = "<LOC tooltipui0204>Restarts the Current Replay from the Beginning",
        image = "",
    },
    
    #**********************
    #** Post Game Score Screen
    #**********************
    PostScore_Grid = {
        title = "<LOC tooltipui0205>Players",
        description = "<LOC tooltipui0206>Shows the Players and Scores",
        image = "",
    },
    PostScore_Graph = {
        title = "<LOC tooltipui0207>Graph",
        description = "<LOC tooltipui0208>Shows a Graph of the Game",
        image = "",
    },
    PostScore_general = {
        title = "<LOC tooltipui0209>General",
        description = "<LOC tooltipui0210>Shows the Game Statistics",
        image = "",
    },
    PostScore_units = {
        title = "<LOC tooltipui0211>Units",
        description = "<LOC tooltipui0212>Specifics on Units in each Army",
        image = "",
    },
    PostScore_resources = {
        title = "<LOC tooltipui0213>Resources",
        description = "<LOC tooltipui0214>Specifics on Resources in each Army",
        image = "",
    },
    PostScore_Player = {
        title = "<LOC tooltipui0215>Player",
        description = "<LOC tooltipui0216>Sort by Player Name",
        image = "",
    },
    PostScore_Team = {
        title = "<LOC tooltipui0217>Team",
        description = "<LOC tooltipui0218>Sort by Team",
        image = "",
    },
    PostScore_score = {
        title = "<LOC tooltipui0219>Score",
        description = "<LOC tooltipui0220>Sort by Score",
        image = "",
    },
    PostScore_kills = {
        title = "<LOC tooltipui0221>Kills",
        description = "<LOC tooltipui0222>Sort by Kills",
        image = "",
    },
    PostScore_built = {
        title = "<LOC tooltipui0223>Built",
        description = "<LOC tooltipui0224>Sort by Structures Built",
        image = "",
    },
    PostScore_lost = {
        title = "<LOC tooltipui0225>Losses",
        description = "<LOC tooltipui0226>Sort by Losses",
        image = "",
    },
    PostScore_cdr = {
        title = "<LOC tooltipui0231>Commander Deaths",
        description = "<LOC tooltipui0232>Sort by Commander Deaths",
        image = "",
    },
    PostScore_land = {
        title = "<LOC tooltipui0233>Land Units",
        description = "<LOC tooltipui0234>Sort by Land Units",
        image = "",
    },
    PostScore_naval = {
        title = "<LOC tooltipui0235>Sea",
        description = "<LOC tooltipui0236>Sort by Sea Units",
        image = "",
    },
    PostScore_air = {
        title = "<LOC tooltipui0237>Air",
        description = "<LOC tooltipui0238>Sort by Air Units",
        image = "",
    },
    PostScore_structures = {
        title = "<LOC tooltipui0239>Structures",
        description = "<LOC tooltipui0240>Sort by Structures",
        image = "",
    },
    PostScore_experimental = {
        title = "<LOC tooltipui0241>Experimental",
        description = "<LOC tooltipui0242>Sort by Experimental Units",
        image = "",
    },
    PostScore_massin = {
        title = "<LOC tooltipui0245>Mass Collected",
        description = "<LOC tooltipui0246>Sort by Mass Collected",
        image = "",
    },
    PostScore_massover = {
        title = "<LOC tooltipui0295>Mass Wasted",
        description = "<LOC tooltipui0296>Sort by Mass Wasted",
        image = "",
    },
    PostScore_massout = {
        title = "<LOC tooltipui0247>Mass Spent",
        description = "<LOC tooltipui0248>Sort by Mass Spent",
        image = "",
    },
    PostScore_energyin = {
        title = "<LOC tooltipui0249>Energy Collected",
        description = "<LOC tooltipui0250>Sort by Energy Collected",
        image = "",
    },
    PostScore_energyout = {
        title = "<LOC tooltipui0297>Energy Spent",
        description = "<LOC tooltipui0298>Sort by Energy Spent",
        image = "",
    },
    PostScore_energyover = {
        title = "<LOC tooltipui0251>Energy Wasted",
        description = "<LOC tooltipui0252>Sort by Energy Wasted",
        image = "",
    },
    PostScore_total = {
        title = "<LOC tooltipui0253>Total",
        description = "<LOC tooltipui0254>Sort by Totals",
        image = "",
    },
    PostScore_rate = {
        title = "<LOC tooltipui0255>Rate",
        description = "<LOC tooltipui0256>Sort by Rates",
        image = "",
    },
    PostScore_kills = {
        title = "<LOC tooltipui0257>Kills",
        description = "<LOC tooltipui0258>Sort by Kills",
        image = "",
    },
    PostScore_built = {
        title = "<LOC tooltipui0259>Built",
        description = "<LOC tooltipui0260>Sort by Structures Built",
        image = "",
    },
    PostScore_lost = {
        title = "<LOC tooltipui0261>Losses",
        description = "<LOC tooltipui0262>Sort by Losses",
        image = "",
    },
    PostScore_count = {
        title = "<LOC tooltipui0263>Count",
        description = "<LOC tooltipui0264>Sort by Count",
        image = "",
    },
    PostScore_mass = {
        title = "<LOC tooltipui0265>Mass Cost",
        description = "<LOC tooltipui0266>Sort by Mass Cost",
        image = "",
    },
    PostScore_energy = {
        title = "<LOC tooltipui0267>Energy Cost",
        description = "<LOC tooltipui0268>Sort by Energy Cost",
        image = "",
    },
    PostScore_Replay = {
        title = "<LOC tooltipui0269>Replay",
        description = "<LOC tooltipui0270>View the Replay of this Match",
        image = "",
    },
    PostScore_Quit = {
        title = "<LOC tooltipui0271>Continue",
        description = "<LOC tooltipui0272>Continue",
        image = "",
    },
    
    #**********************
    #** MFD Strings
    #**********************
    mfd_military = {
        title = "<LOC tooltipui0076>Military",
        description = "<LOC tooltipui0077>Toggle the Military Overlay. This shows the ranges of all your units",
        image = "",
        keyID = "tog_military",
    },
    mfd_defense = {
        title = "<LOC tooltipui0078>Defense",
        description = "<LOC tooltipui0079>Toggle the Defense Overlay",
        image = "",
        keyID = "tog_defense",
    },
    mfd_economy = {
        title = "<LOC tooltipui0080>Economy",
        description = "<LOC tooltipui0081>Toggle the Economy Overlay. This shows the overall economic rate and the input and output of individual units",
        image = "",
        keyID = "tog_econ",
    },
    mfd_intel = {
        title = "<LOC tooltipui0082>Intel",
        description = "<LOC tooltipui0083>Toggle the Intelligence Overlay. This shows the ranges of your intelligence and counter-intelligence structures",
        image = "",
        keyID = "tog_intel"
    },
    mfd_control = {
        title = "<LOC tooltipui0084>Control",
        description = "<LOC tooltipui0085>Toggle the Control Overlay",
        image = "",
    },
    mfd_idle_engineer = {
        title = "<LOC tooltipui0086>Idle Engineers",
        description = "<LOC tooltipui0087>Target Idle Engineers",
        image = "",
    },
    mfd_idle_factory = {
        title = "<LOC tooltipui0088>Idle Factories",
        description = "<LOC tooltipui0089>Target Idle Factories",
        image = "",
    },
    mfd_army = {
        title = "<LOC tooltipui0090>Land",
        description = "<LOC tooltipui0091>Target all Land Forces",
        image = "",
    },
    mfd_airforce = {
        title = "<LOC tooltipui0092>Air",
        description = "<LOC tooltipui0093>Target all Air Forces",
        image = "",
    },
    mfd_navy = {
        title = "<LOC tooltipui0094>Navy",
        description = "<LOC tooltipui0095>Target all Naval Forces",
        image = "",
    },
    mfd_strat_view = {
        title = "<LOC tooltipui0316>Strategic View",
        description = "<LOC tooltipui0317>Toggles the strategic view on or off.",
        image = "",
    },
    
    #**********************
    #** Misc Strings
    #**********************
    infinite_toggle = {
        title = "<LOC tooltipui0096>Repeat Build Order",
        description = "<LOC tooltipui0097>Repeats Build Orders infinately",
        image = "",
    },
    mass_button = {
        title = "<LOC tooltipui0273>Mass",
        description = "<LOC tooltipui0274>All Units and Structures are built out of Mass",
        image = "",
    },
    energy_button = {
        title = "<LOC tooltipui0275>Energy",
        description = "<LOC tooltipui0276>Energy powers Structures and Weapons and is required to build Units out of Mass",
        image = "",
    },
    dip_send_alliance = {
        title = "<LOC tooltipui0289>Send Alliance Offer",
        description = "<LOC tooltipui0290>Check this box to send an Alliance Offer to this Player",
        image = "",
    },
    
    #**********************
    #** Front End Strings
    #**********************
    mainmenu_exit = {
        title = "<LOC tooltipui0133>Exit Game",
        description = "<LOC tooltipui0134>Exit Supreme Commander",
        image = "",
    },
    mainmenu_campaign = {
        title = "<LOC tooltipui0135>Campaign Mode",
        description = "<LOC tooltipui0136>Start a new campaign or continue a previous one",
        image = "",
    },
    mainmenu_mp = {
        title = "<LOC tooltipui0137>Multiplayer Mode",
        description = "<LOC tooltipui0138>Join or host a multiplayer game",
        image = "",
    },
    mainmenu_skirmish = {
        title = "<LOC tooltipui0139>Skirmish Mode",
        description = "<LOC tooltipui0140>Play a quick game against one or more AI Opponents",
        image = "",
    },
    mainmenu_replay = {
        title = "<LOC tooltipui0141>Replay Mode",
        description = "<LOC tooltipui0142>List and play any available replays",
        image = "",
    },
    mainmenu_options = {
        title = "<LOC tooltipui0143>Options",
        description = "<LOC tooltipui0144>View and adjust Gameplay, Video and Sound options, as well as read the EULA and the Credits",
        image = "",
    },
    mainmenu_mod = {
        title = "<LOC tooltipui0145>Mod Manager",
        description = "<LOC tooltipui0146>View, enable and disable all available Mods",
        image = "",
    },
    mainmenu_tutorial = {
        title = "<LOC tooltipui0318>Tutorial",
        description = "<LOC tooltipui0319>Play through the tutorial for Supreme Commander.",
        image = "",
    },
    profile = {
        title = "<LOC tooltipui0147>Profile",
        description = "<LOC tooltipui0148>Manage your Profiles",
        image = "",
    },
    mpselect_observe = {
        title = "<LOC tooltipui0149>Observe",
        description = "<LOC tooltipui0150>Join the Selected Game as an Observer",
        image = "",
    },
    mpselect_join = {
        title = "<LOC tooltipui0151>Join",
        description = "<LOC tooltipui0152>Join the Selected Game",
        image = "",
    },
    mpselect_gpgnet = {
        title = "<LOC tooltipui0153>GPG Net",
        description = "<LOC tooltipui0154>Host or join a Game on GPG Net",
        image = "",
    },
         mpselect_lan = {
        title = "<LOC OPTIONS_0123>LAN",
        description = "<LOC OPTIONS_0124>Host or join a LAN Game",
        image = "",
    },
    mpselect_connect = {
        title = "<LOC tooltipui0155>Connect Directly",
        description = "<LOC tooltipui0156>Join a Game by supplying the IP Address and Port",
        image = "",
    },
    mpselect_create = {
        title = "<LOC tooltipui0157>Create Game",
        description = "<LOC tooltipui0158>Create a Game for others to Join",
        image = "",
    },
    mpselect_exit = {
        title = "<LOC tooltipui0159>Back",
        description = "<LOC tooltipui0160>Go Back to the Main Menu",
        image = "",
    },
    mpselect_serverinfo = {
        title = "<LOC tooltipui0161>Server Information",
        description = "<LOC tooltipui0162>Displays Information on the Currently Selected Server",
        image = "",
    },
    mpselect_serverlist = {
        title = "<LOC tooltipui0163>Server List",
        description = "<LOC tooltipui0164>Displays Available Games on your Network",
        image = "",
    },
    mpselect_name = {
        title = "<LOC tooltipui0165>Name",
        description = "<LOC tooltipui0166>Sets your Multiplayer Nickname",
        image = "",
    },
    mainmenu_quickcampaign = {
        title = "<LOC tooltipui0320>Quick Campaign",
        description = "<LOC tooltipui0321>Launches the most recent saved campaign",
        image = "",
    },
    mainmenu_quicklanhost = {
        title = "<LOC tooltipui0322>Quick LAN",
        description = "<LOC tooltipui0323>Launches a LAN lobby with your last settings",
        image = "",
    },
    mainmenu_quickipconnect = {
        title = "<LOC tooltipui0324>Quick IP Connect",
        description = "<LOC tooltipui0325>Launches an direct IP connection using your last settings",
        image = "",
    },
    mainmenu_quickgpgnet = {
        title = "<LOC tooltipui0326>Quick GPGNet",
        description = "<LOC tooltipui0327>Quit the game and launch GPGNet",
        image = "",
    },
    mainmenu_quickskirmishload = {
        title = "<LOC tooltipui0328>Quick Skirmish Load",
        description = "<LOC tooltipui0329>Loads the last saved skirmish game",
        image = "",
    },
    mainmenu_quickreplay = {
        title = "<LOC tooltipui0330>Quick Replay",
        description = "<LOC tooltipui0331>Loads and plays the last saved replay",
        image = "",
    },
}