--*****************************************************************************
--* File: lua/modules/ui/lobby/lobbyOptions.lua
--* Summary: Lobby options
--*
--* Copyright  2006 Gas Powered Games, Inc.  All rights reserved.
--*****************************************************************************

-- options that show up in the team options panel
teamOptions =
{
    {
	    default = 1,
        label = "<LOC lobui_0088>Spawn",
        help = "<LOC lobui_0089>Determine what positions players spawn on the map",
        key = 'TeamSpawn',
			  pref = 'Lobby_Team_Spawn',
        values = {
            {
		        text = "<LOC lobui_0090>Random",
		        help = "<LOC lobui_0091>Spawn everone in random locations",
		        key = 'random',
	        },
            {
		        text = "<LOC lobui_0092>Fixed",
		        help = "<LOC lobui_0093>Spawn everone in fixed locations (determined by slot)",
		        key = 'fixed',
	        },
	    },
    },
    {
	    default = 1,
        label = "<LOC lobui_0096>Team",
        help = "<LOC lobui_0097>Determines if players may switch teams while in game",
        key = 'TeamLock',
			  pref = 'Lobby_Team_Lock',
        values = {
            {
		        text = "<LOC lobui_0098>Locked",
		        help = "<LOC lobui_0099>Teams are locked once play begins",
		        key = 'locked',
	        },
            {
		        text = "<LOC lobui_0100>Unlocked",
		        help = "<LOC lobui_0101>Players may switch teams during play",
		        key = 'unlocked',
	        },
	    },
    },
}

globalOpts = {
    {
	    default = 2,
        label = "<LOC lobui_0102>Unit Cap",
        help = "<LOC lobui_0103>Set the maximum number of units that can be in play",
        key = 'UnitCap',
			  pref = 'Lobby_Gen_Cap',
        values = {
		    {
			    text = "<LOC lobui_0168>100",
			    help = "<LOC lobui_0169>100 units per player may be in play",
			    key = '100',
		    },
		    {
			    text = "<LOC lobui_0170>250",
			    help = "<LOC lobui_0171>250 units per player may be in play",
			    key = '250',
		    },
		    {
			    text = "<LOC lobui_0172>500",
			    help = "<LOC lobui_0173>500 units per player may be in play",
			    key = '500',
		    },
		    {
			    text = "<LOC lobui_0174>750",
			    help = "<LOC lobui_0175>750 units per player may be in play",
			    key = '750',
		    },
		    {
			    text = "<LOC lobui_0174>1000",
			    help = "<LOC lobui_0175>1000 units per player may be in play",
			    key = '1000',
		    },
        },
    },
    {
	    default = 1,
        label = "<LOC lobui_0112>Fog of War",
        help = "<LOC lobui_0113>Set up how fog of war will be visualized",
        key = 'FogOfWar',
			  pref = 'Lobby_Gen_Fog',
        values = {
		    {
			    text = "<LOC lobui_0114>Explored",
			    help = "<LOC lobui_0115>Terrain revealed, but units still need recon data",
			    key = 'explored',
		    },
		    {
			    text = "<LOC lobui_0116>Unexplored",
			    help = "<LOC lobui_0117>Terrain revealed as you play, units need recon data",
			    key = 'unexplored',
		    },
		    {
			    text = "<LOC lobui_0118>None",
			    help = "<LOC lobui_0119>All terrain and units visible",
			    key = 'none',
		    },
        },
    },
    {
	    default = 1,
        label = "<LOC lobui_0120>Victory Condition",
        help = "<LOC lobui_0121>Determines how a victory can be achieved",
        key = 'Victory',
			  pref = 'Lobby_Gen_Victory',
        values = {
		    {
			    text = "<LOC lobui_0122>Assassination",
			    help = "<LOC lobui_0123>Game ends when commander is destroyed",
			    key = 'demoralization',
		    },
		    {
			    text = "<LOC lobui_0124>Supremacy",
			    help = "<LOC lobui_0125>Game ends when all structures and engineers are destroyed",
			    key = 'domination',
		    },
		    {
			    text = "<LOC lobui_0126>Annihilation",
			    help = "<LOC lobui_0127>Game ends when all units are destroyed",
			    key = 'eradication',
		    },
		    {
			    text = "<LOC lobui_0128>Sandbox",
			    help = "<LOC lobui_0129>Game never ends",
			    key = 'sandbox',
		    },
        },
    },
    {
	    default = 1,
        label = "<LOC lobui_0130>Deployment",
        help = "<LOC lobui_0131>Determines what is available when the game starts",
        key = 'Deployment',
			  pref = 'Lobby_Gen_Deployment',
        values = {
		    {
			    text = "<LOC lobui_0132>Commander",
			    help = "<LOC lobui_0133>The game starts with one commander",
			    key = 'cdr',
		    },
		    {
			    text = "<LOC lobui_0134>Predeployed",
			    help = "<LOC lobui_0135>The game begins with a small base already created",
			    key = 'pre',
		    },
        },
    },
    {
	    default = 1,
        label = "<LOC lobui_0136>Share Unit Control",
        help = "<LOC lobui_0137>Determined is units can be shared between team members",
        key = 'ShareUnitControl',
			  pref = 'Lobby_Gen_ShareUnits',
        values = {
		    {
			    text = "<LOC lobui_0138>None",
			    help = "<LOC lobui_0139>No units can be shared",
 			    key = 'none',
		    },
		    {
			    text = "<LOC lobui_0140>Military",
			    help = "<LOC lobui_0141>Only mobile units can be shared",
			    key = 'military',
		    },
		    {
			    text = "<LOC lobui_0142>Full",
			    help = "<LOC lobui_0143>All structures and units, with the exception of commanders, can be shared",
			    key = 'full',
		    },
		    {
			    text = "<LOC lobui_0144>Complete",
			    help = "<LOC lobui_0145>All units and structures can be shared",
			    key = 'complete',
		    },
        },
    },
    {
	    default = 1,
        label = "<LOC lobui_0146>Share Resources",
        help = "<LOC lobui_0147>Determined how resources can be shared between players",
        key = 'ShareResources',
			  pref = 'Lobby_Gen_ShareResources',
        values = {
		    {
			    text = "<LOC _Off>Off",
			    help = "<LOC lobui_0149>No resources may be shared",
			    key = 'false',
		    },
		    {
			    text = "<LOC _On>On",
			    help = "<LOC lobui_0151>Resources may be shared",
			    key = 'true',
		    },
        },
    },
    {
        default = 1,
        label = "<LOC lobui_0208>Cheating",
        help = "<LOC lobui_0209>Enable cheat codes",
        key = 'CheatsEnabled',
        values = {
		    {
			    text = "<LOC _Off>Off",
			    help = "<LOC lobui_0210>Cheats disabled",
			    key = 'false',
		    },
		    {
			    text = "<LOC _On>On",
			    help = "<LOC lobui_0211>Cheats enabled",
			    key = 'true',
		    },
        },
    }
}
