#****************************************************************************
#**
#**  File     :  /cdimage/lua/modules/upgradetemplates.lua
#**  Author(s):  John Comes, David Tomandl
#**
#**  Summary  :  This is a list of all units that upgrade, and what
#**              they upgrade to.
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

UnitUpgradeTemplates =
{
    # earth unit upgrades
    {
        # engineer
        { 'uel0105', 'uel0208'},
        { 'uel0208', 'uel0309'},
    },

    # alien unit upgrades
    {
        # engineer
        { 'ual0105', 'ual0208'},
        { 'ual0208', 'ual0309'},
    },

    # recycler unit upgrades
    {
        # engineer
        { 'url0105', 'url0208'},
        { 'url0208', 'url0309'},

        # scout
        { 'url0101', 'urb3103'},
    },
}

StructureUpgradeTemplates =
{
    # earth structure upgrades
    {
        # land factory
        { 'ueb0101', 'ueb0201'},
        { 'ueb0201', 'ueb0301'},

        # air factory
        { 'ueb0102', 'ueb0202'},
        { 'ueb0202', 'ueb0302'},

        # naval factory
        { 'ueb0103', 'ueb0203'},
        { 'ueb0203', 'ueb0303'},

        # mass extractors
        { 'ueb1103', 'ueb1202'},
        { 'ueb1202', 'ueb1302'},

        # radar
        { 'ueb3101', 'ueb3201'},
        { 'ueb3201', 'ueb3104'},
        
        # sonar
        { 'ueb3102', 'ueb3202'},
        { 'ueb3202', 'ues0304'},
        
        #Shield
        { 'ueb4202', 'ueb4301'},

    },

    # alien structure upgrades
    {
        # land factory
        { 'uab0101', 'uab0201'},
        { 'uab0201', 'uab0301'},

        # air factory
        { 'uab0102', 'uab0202'},
        { 'uab0202', 'uab0302'},

        # naval factory
        { 'uab0103', 'uab0203'},
        { 'uab0203', 'uab0303'},

        # mass extractors
        { 'uab1103', 'uab1202'},
        { 'uab1202', 'uab1302'},        

        # radar
        { 'uab3101', 'uab3201'},
        { 'uab3201', 'uab3104'},

        # sonar
        { 'uab3102', 'uab3202'},
        { 'uab3202', 'uas0304'},


    },

    # recycler structure upgrades
    {
        # land factory
        { 'urb0101', 'urb0201'},
        { 'urb0201', 'urb0301'},

        # air factory
        { 'urb0102', 'urb0202'},
        { 'urb0202', 'urb0302'},

        # naval factory
        { 'urb0103', 'urb0203'},
        { 'urb0203', 'urb0303'},

        # mass extractors
        { 'urb1103', 'urb1202'},
        { 'urb1202', 'urb1302'},

        # radar
        { 'urb3101', 'urb3201'},
        { 'urb3201', 'urb3104'},

        # sonar
        { 'urb3102', 'urb3202'},
        { 'urb3202', 'urs0304'},

    },
}
