# Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#
# This is the user-specific top-level lua initialization file. It is run at initialization time
# to set up all lua state for the user layer.

# Do global init
doscript '/lua/globalInit.lua'

WaitFrames = coroutine.yield

function WaitSeconds(n)
    local later = CurrentTime() + n
    WaitFrames(1)
    while CurrentTime() < later do
        WaitFrames(1)
    end
end

local mods = import '/lua/system/mods.lua'
mods.InitModInfo()

# a table designed to allow communication from different user states to the front end lua state
FrontEndData = {}