# 
# 
# This module contains the Sim-side lua functions that can be invoked
# from the user side.  These need to validate all arguments against
# cheats and exploits.
#

# We store the callbacks in a sub-table (instead of directly in the
# module) so that we don't include any

local Callbacks = {}

function DoCallback(name, data, units)
    local fn = Callbacks[name];
    if fn then
        fn(data, units)
    else
        error('No callback named ' .. repr(name))
    end
end



local SimUtils = import('/lua/modules/SimUtils.lua')




function Callbacks.BreakAlliance(data)
    SimUtils.BreakAlliance(data)
end

function Callbacks.GiveUnitsToPlayer(data, units)
    SimUtils.GiveUnitsToPlayer(data, units)
end

function Callbacks.GiveResourcesToPlayer( data )
    SimUtils.GiveResourcesToPlayer(data)
end

function Callbacks.SetResourceSharing(data)
    SimUtils.SetResourceSharing(data)
end

function Callbacks.RequestAlliedVictory(data)
    SimUtils.RequestAlliedVictory(data)
end



local SimCamera = import('/lua/modules/SimCamera.lua')

function Callbacks.OnCameraFinish(name)
    SimCamera.OnCameraFinish(name)
end



local SimPlayerQuery = import('/lua/SimPlayerQuery.lua')

function Callbacks.OnPlayerQuery( queryData )
    SimPlayerQuery.OnPlayerQuery(queryData)
end

function Callbacks.OnPlayerQueryResult( resultData )
    SimPlayerQuery.OnPlayerQueryResult(resultData)
end
